!******************************************************************************!
!                                                                              !
!    currents_info1.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info1.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 09:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info1
  implicit none
  contains
  subroutine fill_current_1(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_WMinus, P_H, P_Z, P_GPlus, 719, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_WMinus, 875, check)
    call createCurrent(P_GMinus, P_G0, P_A, P_WPlus, 463, check)
    call createCurrent(P_WPlus, P_GPlus, P_GMinus, P_WMinus, 217, check)
    call createCurrent(P_GPlus, P_b, P_tAnti, 279, check)
    call createCurrent(P_WPlus, P_H, P_H, P_WMinus, 22, check)
    call createCurrent(P_G0, P_H, P_A, 1074, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, 193, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_G0, 448, check)
    call createCurrent(P_t, P_tAnti, P_A, 700, check)
    call createCurrent(P_t, P_tAnti, P_g, 535, check)
    call createCurrent(P_H, P_t, P_tAnti, 777, check)
    call createCurrent(P_GPlus, P_A, P_Z, P_GMinus, 787, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, P_H, 505, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_H, 73, check)
    call createCurrent(P_H, P_A, P_GMinus, P_WPlus, 902, check)
    call createCurrent(P_H, P_ghWpAnti, P_ghWp, 857, check)
    call createCurrent(P_Z, P_nu_muAnti, P_nu_mu, 471, check)
    call createCurrent(P_Z, P_bAnti, P_b, 537, check)
    call createCurrent(P_H, P_tauPlus, P_tauMinus, 71, check)
    call createCurrent(P_G0, P_cAnti, P_c, 222, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_G0, 154, check)
    call createCurrent(P_G0, P_GPlus, P_Z, P_WMinus, 62, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_A, 944, check)
    call createCurrent(P_Z, P_GPlus, P_H, P_WMinus, 649, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_A, 1094, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_Z, 498, check)
    call createCurrent(P_H, P_H, P_A, P_Z, 1127, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_A, 815, check)
    call createCurrent(P_Z, P_dAnti, P_d, 764, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, 401, check)
    call createCurrent(P_WMinus, P_Z, P_H, P_GPlus, 1033, check)
    call createCurrent(P_A, P_WMinus, P_A, P_WPlus, 655, check)
    call createCurrent(P_muPlus, P_muMinus, 1129, check)
    call createCurrent(P_muMinus, P_muPlus, P_G0, 500, check)
    call createCurrent(P_bAnti, P_b, P_Z, 520, check)
    call createCurrent(P_G0, P_G0, P_G0, P_G0, 336, check)
    call createCurrent(P_G0, P_uAnti, P_u, 273, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_A, 240, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GPlus, 1012, check)
    call createCurrent(P_GPlus, P_Z, P_Z, P_GMinus, 809, check)
    call createCurrent(P_A, P_c, P_cAnti, 953, check)
    call createCurrent(P_s, P_sAnti, P_H, 630, check)
    call createCurrent(P_t, P_tAnti, P_G0, 793, check)
    call createCurrent(P_g, P_WPlus, P_WMinus, P_g, 1229, check)
    call createCurrent(P_GPlus, P_GMinus, P_g, P_g, 1215, check)
    call createCurrent(P_H, P_G0, P_G0, 48, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_Z, 688, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, 757, check)
    call createCurrent(P_d, P_WPlus, P_uAnti, 472, check)
    call createCurrent(P_Z, P_nu_tau, P_nu_tauAnti, 656, check)
    call createCurrent(P_A, P_uAnti, P_u, 668, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_A, 712, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, 714, check)
    call createCurrent(P_H, P_H, P_A, P_A, 1176, check)
    call createCurrent(P_dAnti, P_u, P_GMinus, 162, check)
    call createCurrent(P_uAnti, P_d, P_WPlus, 224, check)
    call createCurrent(P_A, P_Z, P_g, P_g, 1205, check)
    call createCurrent(P_GMinus, P_nu_mu, P_muPlus, 1021, check)
    call createCurrent(P_A, P_muMinus, P_muPlus, 926, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_GPlus, 11, check)
    call createCurrent(P_WPlus, P_WMinus, P_GMinus, P_GPlus, 771, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, 317, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_Z, 914, check)
    call createCurrent(P_H, P_H, 1055, check)
    call createCurrent(P_Z, P_g, P_Z, P_g, 1178, check)
    call createCurrent(P_H, P_ghWp, P_ghWpAnti, 369, check)
    call createCurrent(P_uAnti, P_u, 1080, check)
    call createCurrent(P_nu_e, P_ePlus, P_WMinus, 389, check)
    call createCurrent(P_t, P_tAnti, P_H, 1013, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_A, 716, check)
    call createCurrent(P_b, P_A, P_bAnti, 574, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, 580, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WPlus, 318, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_Z, 647, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GMinus, 151, check)
    call createCurrent(P_WPlus, P_WMinus, P_g, P_g, 1186, check)
    call createCurrent(P_WMinus, P_WPlus, P_WMinus, P_WPlus, 941, check)
    call createCurrent(P_A, P_ePlus, P_eMinus, 518, check)
    call createCurrent(P_GPlus, P_G0, P_A, P_WMinus, 604, check)
    call createCurrent(P_G0, P_WMinus, P_G0, P_WPlus, 247, check)
    call createCurrent(P_s, P_g, P_sAnti, 36, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_H, 871, check)
    call createCurrent(P_WPlus, P_nu_muAnti, P_muMinus, 916, check)
    call createCurrent(P_Z, P_H, P_GPlus, P_WMinus, 188, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_GMinus, 1020, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_H, 864, check)
    call createCurrent(P_sAnti, P_s, 1122, check)
    call createCurrent(P_WMinus, P_nu_mu, P_muPlus, 37, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_H, 795, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, 68, check)
    call createCurrent(P_WPlus, P_Z, P_G0, P_GMinus, 296, check)
    call createCurrent(P_c, P_sAnti, P_GMinus, 430, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, P_H, 566, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, 590, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, 723, check)
    call createCurrent(P_H, P_ghZAnti, P_ghZ, 238, check)
    call createCurrent(P_G0, P_eMinus, P_ePlus, 329, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, 686, check)
    call createCurrent(P_ghWmAnti, P_H, P_ghWm, 366, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, 925, check)
    call createCurrent(P_nu_e, P_GMinus, P_ePlus, 235, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_GMinus, 849, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_A, 620, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_Z, 382, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_H, 934, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, 1102, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_GPlus, 479, check)
    call createCurrent(P_Z, P_H, P_A, P_H, 1124, check)
    call createCurrent(P_GPlus, P_H, P_H, P_GMinus, 846, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_G0, 886, check)
    call createCurrent(P_muMinus, P_muPlus, P_H, 127, check)
    call createCurrent(P_g, P_GMinus, P_GPlus, P_g, 1152, check)
    call createCurrent(P_u, P_dAnti, P_WMinus, 618, check)
    call createCurrent(P_tAnti, P_GPlus, P_b, 58, check)
    call createCurrent(P_g, P_H, P_g, P_H, 1165, check)
    call createCurrent(P_WMinus, P_dAnti, P_u, 322, check)
    call createCurrent(P_g, P_g, P_g, P_Z, 1242, check)
    call createCurrent(P_Z, P_H, P_WMinus, P_GPlus, 694, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, P_H, 905, check)
    call createCurrent(P_WPlus, P_GMinus, P_GPlus, P_WMinus, 825, check)
    call createCurrent(P_dAnti, P_d, 1095, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, 244, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_G0, 196, check)
    call createCurrent(P_Z, P_WPlus, P_A, P_WMinus, 16, check)
    call createCurrent(P_s, P_sAnti, P_Z, 312, check)
    call createCurrent(P_s, P_A, P_sAnti, 72, check)
    call createCurrent(P_g, P_H, P_g, 1150, check)
    call createCurrent(P_GMinus, P_GPlus, 1058, check)
    call createCurrent(P_WPlus, P_Z, P_A, P_WMinus, 422, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, P_H, 602, check)
    call createCurrent(P_Z, P_Z, P_Z, P_Z, 1169, check)
    call createCurrent(P_Z, P_ghWm, P_ghWmAnti, 804, check)
    call createCurrent(P_GMinus, P_g, P_GPlus, P_g, 1171, check)
    call createCurrent(P_Z, P_Z, P_g, P_g, 1173, check)
    call createCurrent(P_t, P_G0, P_tAnti, 293, check)
    call createCurrent(P_Z, P_Z, P_A, P_A, 1147, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_A, 1103, check)
    call createCurrent(P_Z, P_H, P_WPlus, P_GMinus, 853, check)
    call createCurrent(P_muPlus, P_muMinus, P_G0, 421, check)
    call createCurrent(P_H, P_H, P_Z, P_Z, 115, check)
    call createCurrent(P_H, P_G0, P_A, 1084, check)
    call createCurrent(P_WPlus, P_A, P_H, P_GMinus, 324, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_A, 1101, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, 782, check)
    call createCurrent(P_A, P_nu_tau, P_nu_tauAnti, 1142, check)
    call createCurrent(P_Z, P_WPlus, P_Z, P_WMinus, 220, check)
    call createCurrent(P_cAnti, P_g, P_c, 1017, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, 578, check)
    call createCurrent(P_A, P_cAnti, P_c, 783, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, 307, check)
    call createCurrent(P_G0, P_H, P_Z, 443, check)
    call createCurrent(P_WMinus, P_GMinus, P_GPlus, P_WPlus, 633, check)
    call createCurrent(P_GMinus, P_Z, P_A, P_GPlus, 237, check)
    call createCurrent(P_WPlus, P_d, P_uAnti, 79, check)
    call createCurrent(P_Z, P_A, P_G0, P_G0, 1070, check)
    call createCurrent(P_Z, P_c, P_cAnti, 878, check)
    call createCurrent(P_GMinus, P_bAnti, P_t, 185, check)
    call createCurrent(P_G0, P_Z, P_H, 673, check)
    call createCurrent(P_A, P_ghWm, P_ghWmAnti, 408, check)
    call createCurrent(P_WPlus, P_H, P_A, P_GMinus, 593, check)
    call createCurrent(P_ePlus, P_Z, P_eMinus, 587, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, 455, check)
    call createCurrent(P_bAnti, P_b, P_g, 796, check)
    call createCurrent(P_cAnti, P_Z, P_c, 163, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_Z, 509, check)
    call createCurrent(P_Z, P_G0, P_G0, P_A, 1054, check)
    call createCurrent(P_g, P_tAnti, P_t, 892, check)
    call createCurrent(P_GPlus, P_GMinus, 1108, check)
    call createCurrent(P_G0, P_g, P_g, P_G0, 1189, check)
    call createCurrent(P_eMinus, P_WPlus, P_nu_eAnti, 416, check)
    call createCurrent(P_t, P_H, P_tAnti, 885, check)
    call createCurrent(P_cAnti, P_A, P_c, 624, check)
    call createCurrent(P_g, P_g, P_H, 1149, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, P_H, 595, check)
    call createCurrent(P_muPlus, P_muMinus, P_H, 722, check)
    call createCurrent(P_GPlus, P_GMinus, P_WPlus, P_WMinus, 745, check)
    call createCurrent(P_Z, P_ePlus, P_eMinus, 190, check)
    call createCurrent(P_H, P_GMinus, P_Z, P_WPlus, 166, check)
    call createCurrent(P_tauPlus, P_G0, P_tauMinus, 959, check)
    call createCurrent(P_tauMinus, P_WPlus, P_nu_tauAnti, 913, check)
    call createCurrent(P_G0, P_GPlus, P_A, P_WMinus, 21, check)
    call createCurrent(P_d, P_uAnti, P_GPlus, 304, check)
    call createCurrent(P_muPlus, P_Z, P_muMinus, 583, check)
    call createCurrent(P_u, P_GMinus, P_dAnti, 679, check)
    call createCurrent(P_Z, P_G0, P_H, 541, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_Z, 794, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghWp, 548, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_Z, 596, check)
    call createCurrent(P_H, P_H, P_Z, P_A, 1087, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_Z, 388, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, 12, check)
    call createCurrent(P_t, P_Z, P_tAnti, 987, check)
    call createCurrent(P_H, P_tauMinus, P_tauPlus, 942, check)
    call createCurrent(P_G0, P_dAnti, P_d, 652, check)
    call createCurrent(P_t, P_g, P_tAnti, 310, check)
    call createCurrent(P_H, P_g, P_H, P_g, 1187, check)
    call createCurrent(P_s, P_Z, P_sAnti, 3, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_Z, 353, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_GPlus, 1043, check)
    call createCurrent(P_t, P_GMinus, P_bAnti, 644, check)
    call createCurrent(P_GMinus, P_sAnti, P_c, 64, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_A, 25, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, 176, check)
    call createCurrent(P_nu_e, P_WMinus, P_ePlus, 665, check)
    call createCurrent(P_H, P_cAnti, P_c, 1028, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 543, check)
    call createCurrent(P_bAnti, P_b, P_G0, 288, check)
    call createCurrent(P_GMinus, P_A, P_H, P_WPlus, 579, check)
    call createCurrent(P_H, P_G0, P_H, P_G0, 261, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, 991, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_Z, 963, check)
    call createCurrent(P_G0, P_WPlus, P_Z, P_GMinus, 91, check)
    call createCurrent(P_WPlus, P_A, P_A, P_WMinus, 800, check)
    call createCurrent(P_nu_tau, P_A, P_nu_tauAnti, 1112, check)
    call createCurrent(P_H, P_H, P_GPlus, P_GMinus, 645, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, 173, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, 597, check)
    call createCurrent(P_Z, P_WMinus, P_Z, P_WPlus, 765, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_GMinus, 496, check)
    call createCurrent(P_muMinus, P_muPlus, P_A, 881, check)
    call createCurrent(P_G0, P_u, P_uAnti, 458, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, 517, check)
    call createCurrent(P_A, P_Z, P_Z, P_A, 1168, check)
    call createCurrent(P_GMinus, P_u, P_dAnti, 837, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, 7, check)
    call createCurrent(P_WMinus, P_c, P_sAnti, 952, check)
    call createCurrent(P_A, P_muPlus, P_muMinus, 822, check)
    call createCurrent(P_H, P_A, P_A, P_H, 1197, check)
    call createCurrent(P_H, P_uAnti, P_u, 335, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, 255, check)
    call createCurrent(P_u, P_A, P_uAnti, 495, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, 594, check)
    call createCurrent(P_H, P_Z, P_GMinus, P_WPlus, 778, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, 704, check)
    call createCurrent(P_H, P_g, P_g, 1158, check)
    call createCurrent(P_uAnti, P_G0, P_u, 572, check)
    call createCurrent(P_A, P_u, P_uAnti, 575, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_A, 693, check)
    call createCurrent(P_A, P_A, P_GPlus, P_GMinus, 90, check)
    call createCurrent(P_G0, P_c, P_cAnti, 523, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, 968, check)
    call createCurrent(P_WMinus, P_WPlus, P_g, P_g, 1212, check)
    call createCurrent(P_dAnti, P_d, P_Z, 227, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_G0, 490, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, 674, check)
    call createCurrent(P_G0, P_A, P_WMinus, P_GPlus, 384, check)
    call createCurrent(P_b, P_bAnti, P_G0, 868, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_GPlus, 736, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, 373, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, 97, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, 592, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_Z, 297, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_A, 812, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, 1003, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_G0, 832, check)
    call createCurrent(P_G0, P_ghWm, P_ghWmAnti, 125, check)
    call createCurrent(P_G0, P_A, P_WPlus, P_GMinus, 828, check)
    call createCurrent(P_tauPlus, P_A, P_tauMinus, 889, check)
    call createCurrent(P_Z, P_Z, P_GPlus, P_GMinus, 340, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_A, 1136, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, 958, check)
    call createCurrent(P_H, P_sAnti, P_s, 38, check)
    call createCurrent(P_GPlus, P_A, P_G0, P_WMinus, 839, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_A, 561, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, 1007, check)
    call createCurrent(P_cAnti, P_c, P_g, 950, check)
    call createCurrent(P_Z, P_G0, P_GPlus, P_WMinus, 96, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_G0, 2, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, 4, check)
    call createCurrent(P_ePlus, P_eMinus, P_A, 378, check)
    call createCurrent(P_A, P_A, P_H, 1195, check)
    call createCurrent(P_WPlus, P_Z, P_Z, P_WMinus, 911, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_Z, 367, check)
    call createCurrent(P_GMinus, P_GPlus, P_WPlus, P_WMinus, 87, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_Z, 271, check)
    call createCurrent(P_muMinus, P_WPlus, P_nu_muAnti, 556, check)
    call createCurrent(P_g, P_A, P_g, P_Z, 1203, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_A, 507, check)
    call createCurrent(P_A, P_Z, P_Z, P_Z, 1162, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, 245, check)
    call createCurrent(P_GMinus, P_WMinus, P_GPlus, P_WPlus, 966, check)
    call createCurrent(P_Z, P_GMinus, P_G0, P_WPlus, 461, check)
    call createCurrent(P_GMinus, P_GMinus, P_GPlus, P_GPlus, 784, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_A, 690, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_G0, 930, check)
    call createCurrent(P_G0, P_muMinus, P_muPlus, 354, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, 262, check)
    call createCurrent(P_WMinus, P_nu_e, P_ePlus, 619, check)
    call createCurrent(P_sAnti, P_s, P_H, 840, check)
    call createCurrent(P_H, P_WMinus, P_H, P_WPlus, 432, check)
    call createCurrent(P_A, P_H, P_GMinus, P_WPlus, 908, check)
    call createCurrent(P_Z, P_WPlus, P_G0, P_GMinus, 803, check)
    call createCurrent(P_g, P_u, P_uAnti, 158, check)
    call createCurrent(P_A, P_G0, P_WPlus, P_GMinus, 658, check)
    call createCurrent(P_ghGAnti, P_g, P_ghG, 376, check)
    call createCurrent(P_eMinus, P_A, P_ePlus, 512, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_Z, 269, check)
    call createCurrent(P_g, P_H, P_H, P_g, 1198, check)
    call createCurrent(P_s, P_cAnti, P_WPlus, 65, check)
    call createCurrent(P_Z, P_uAnti, P_u, 671, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_Z, 909, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_A, 615, check)
    call createCurrent(P_Z, P_H, P_Z, 529, check)
    call createCurrent(P_Z, P_WMinus, P_G0, P_GPlus, 77, check)
    call createCurrent(P_G0, P_A, P_H, 1068, check)
    call createCurrent(P_nu_tauAnti, P_Z, P_nu_tau, 872, check)
    call createCurrent(P_GPlus, P_nu_muAnti, P_muMinus, 677, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_H, 370, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, 835, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, 6, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, P_H, 205, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, 395, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, 939, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_GMinus, 610, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_G0, 187, check)
    call createCurrent(P_dAnti, P_g, P_d, 400, check)
    call createCurrent(P_Z, P_A, P_Z, P_Z, 1156, check)
    call createCurrent(P_s, P_sAnti, P_G0, 404, check)
    call createCurrent(P_nu_eAnti, P_nu_e, 1071, check)
    call createCurrent(P_Z, P_tauMinus, P_tauPlus, 1006, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_A, 358, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WPlus, 817, check)
    call createCurrent(P_WPlus, P_b, P_tAnti, 303, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_A, 351, check)
    call createCurrent(P_nu_e, P_A, P_nu_eAnti, 1063, check)
    call createCurrent(P_WMinus, P_G0, P_G0, P_WPlus, 528, check)
    call createCurrent(P_c, P_cAnti, P_A, 13, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, 252, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, 903, check)
    call createCurrent(P_WPlus, P_Z, P_H, P_GMinus, 497, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_H, 501, check)
    call createCurrent(P_H, P_GPlus, P_Z, P_WMinus, 852, check)
    call createCurrent(P_sAnti, P_s, P_A, 265, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, 893, check)
    call createCurrent(P_s, P_sAnti, 1089, check)
    call createCurrent(P_H, P_Z, P_H, P_Z, 78, check)
    call createCurrent(P_G0, P_Z, 1131, check)
    call createCurrent(P_A, P_A, P_WPlus, P_WMinus, 807, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_A, 466, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_Z, 611, check)
    call createCurrent(P_WPlus, P_g, P_WMinus, P_g, 1175, check)
    call createCurrent(P_eMinus, P_ePlus, P_Z, 268, check)
    call createCurrent(P_WMinus, P_Z, P_A, P_WPlus, 420, check)
    call createCurrent(P_dAnti, P_GMinus, P_u, 1024, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, 84, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, 613, check)
    call createCurrent(P_G0, P_Z, P_GPlus, P_WMinus, 281, check)
    call createCurrent(P_b, P_bAnti, P_Z, 882, check)
    call createCurrent(P_g, P_sAnti, P_s, 1040, check)
    call createCurrent(P_tAnti, P_t, P_A, 396, check)
    call createCurrent(P_G0, P_G0, P_WPlus, P_WMinus, 55, check)
    call createCurrent(P_A, P_Z, P_H, P_H, 1105, check)
    call createCurrent(P_muMinus, P_A, P_muPlus, 735, check)
    call createCurrent(P_GMinus, P_ePlus, P_nu_e, 380, check)
    call createCurrent(P_u, P_uAnti, P_H, 937, check)
    call createCurrent(P_G0, P_A, P_GPlus, P_WMinus, 601, check)
    call createCurrent(P_Z, P_g, P_g, P_Z, 1211, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_Z, 625, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, 347, check)
    call createCurrent(P_nu_mu, P_A, P_nu_muAnti, 1134, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_A, 290, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_H, 552, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, 995, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_H, 993, check)
    call createCurrent(P_A, P_g, P_g, P_A, 1222, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, P_G0, 467, check)
    call createCurrent(P_c, P_sAnti, P_WMinus, 119, check)
    call createCurrent(P_GPlus, P_WMinus, P_WPlus, P_GMinus, 654, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, 142, check)
    call createCurrent(P_G0, P_bAnti, P_b, 788, check)
    call createCurrent(P_A, P_d, P_dAnti, 555, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, 407, check)
    call createCurrent(P_t, P_bAnti, P_WMinus, 45, check)
    call createCurrent(P_ePlus, P_G0, P_eMinus, 740, check)
    call createCurrent(P_g, P_A, P_g, P_A, 1224, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, 985, check)
    call createCurrent(P_GPlus, P_tauMinus, P_nu_tauAnti, 506, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_A, 449, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, 718, check)
    call createCurrent(P_H, P_H, P_H, 393, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_A, 1015, check)
    call createCurrent(P_b, P_bAnti, P_H, 82, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghWpAnti, 429, check)
    call createCurrent(P_GMinus, P_G0, P_G0, P_GPlus, 192, check)
    call createCurrent(P_ePlus, P_WMinus, P_nu_e, 0, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, 744, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, P_H, 785, check)
    call createCurrent(P_ePlus, P_H, P_eMinus, 442, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_A, 343, check)
    call createCurrent(P_A, P_A, P_A, P_Z, 1207, check)
    call createCurrent(P_A, P_H, P_H, P_A, 1190, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, 851, check)
    call createCurrent(P_GMinus, P_tauPlus, P_nu_tau, 42, check)
    call createCurrent(P_A, P_g, P_A, P_g, 1219, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_Z, 717, check)
    call createCurrent(P_u, P_uAnti, P_Z, 411, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_Z, 287, check)
    call createCurrent(P_A, P_sAnti, P_s, 482, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_A, 526, check)
    call createCurrent(P_H, P_A, P_H, P_A, 1154, check)
    call createCurrent(P_g, P_g, P_A, P_A, 1194, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_A, 1029, check)
    call createCurrent(P_GPlus, P_GMinus, P_GMinus, P_GPlus, 32, check)
    call createCurrent(P_H, P_H, P_G0, P_G0, 365, check)
    call createCurrent(P_sAnti, P_A, P_s, 826, check)
    call createCurrent(P_GMinus, P_GPlus, P_WMinus, P_WPlus, 164, check)
    call createCurrent(P_Z, P_A, P_g, P_g, 1172, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_Z, 17, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, 979, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_GMinus, 412, check)
    call createCurrent(P_ghWm, P_H, P_ghWmAnti, 1035, check)
    call createCurrent(P_A, P_GMinus, P_G0, P_WPlus, 641, check)
    call createCurrent(P_WMinus, P_GPlus, P_WPlus, P_GMinus, 402, check)
    call createCurrent(P_g, P_A, P_Z, P_g, 1227, check)
    call createCurrent(P_G0, P_g, P_G0, P_g, 1214, check)
    call createCurrent(P_Z, P_b, P_bAnti, 361, check)
    call createCurrent(P_d, P_dAnti, P_Z, 177, check)
    call createCurrent(P_ePlus, P_eMinus, P_Z, 983, check)
    call createCurrent(P_A, P_G0, P_GMinus, P_WPlus, 922, check)
    call createCurrent(P_dAnti, P_H, P_d, 990, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, 1104, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, 144, check)
    call createCurrent(P_WMinus, P_A, P_A, P_WPlus, 47, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_A, 157, check)
    call createCurrent(P_G0, P_G0, P_WMinus, P_WPlus, 1022, check)
    call createCurrent(P_A, P_G0, P_Z, P_G0, 1097, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_H, 569, check)
    call createCurrent(P_nu_muAnti, P_WPlus, P_muMinus, 437, check)
    call createCurrent(P_A, P_g, P_g, P_g, 1155, check)
    call createCurrent(P_Z, P_WPlus, P_H, P_GMinus, 986, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, 1036, check)
    call createCurrent(P_A, P_g, P_Z, P_g, 1238, check)
    call createCurrent(P_WPlus, P_tAnti, P_b, 866, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, 1107, check)
    call createCurrent(P_GMinus, P_A, P_G0, P_WPlus, 503, check)
    call createCurrent(P_g, P_g, P_G0, P_G0, 1146, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_H, 428, check)
    call createCurrent(P_tAnti, P_H, P_t, 887, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, 357, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WPlus, 1148, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, 1001, check)
    call createCurrent(P_nu_eAnti, P_WPlus, P_eMinus, 250, check)
    call createCurrent(P_cAnti, P_s, P_GPlus, 754, check)
    call createCurrent(P_Z, P_Z, P_WPlus, P_WMinus, 588, check)
    call createCurrent(P_G0, P_A, P_GMinus, P_WPlus, 152, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WPlus, 897, check)
    call createCurrent(P_c, P_g, P_cAnti, 399, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_A, 381, check)
    call createCurrent(P_ghWp, P_H, P_ghWpAnti, 642, check)
    call createCurrent(P_WPlus, P_G0, P_Z, P_GMinus, 360, check)
    call createCurrent(P_Z, P_GMinus, P_A, P_GPlus, 737, check)
    call createCurrent(P_c, P_cAnti, P_Z, 753, check)
    call createCurrent(P_tauPlus, P_tauMinus, 1067, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_G0, 684, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, 895, check)
    call createCurrent(P_uAnti, P_u, P_g, 695, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, 40, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, 726, check)
    call createCurrent(P_A, P_A, P_H, P_H, 1191, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_Z, 254, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, 927, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, 879, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_Z, 206, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_G0, 313, check)
    call createCurrent(P_A, P_dAnti, P_d, 225, check)
    call createCurrent(P_tAnti, P_t, 1135, check)
    call createCurrent(P_GMinus, P_H, P_A, P_WPlus, 308, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, 833, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_Z, 274, check)
    call createCurrent(P_sAnti, P_H, P_s, 264, check)
    call createCurrent(P_sAnti, P_G0, P_s, 1002, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_A, 623, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, 33, check)
    call createCurrent(P_bAnti, P_H, P_b, 491, check)
    call createCurrent(P_H, P_A, P_Z, P_H, 1138, check)
    call createCurrent(P_dAnti, P_Z, P_d, 799, check)
    call createCurrent(P_G0, P_Z, P_WMinus, P_GPlus, 989, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_A, 5, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, 977, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_A, 996, check)
    call createCurrent(P_Z, P_u, P_uAnti, 508, check)
    call createCurrent(P_H, P_g, P_g, P_H, 1234, check)
    call createCurrent(P_muMinus, P_Z, P_muPlus, 530, check)
    call createCurrent(P_G0, P_G0, P_Z, P_Z, 440, check)
    call createCurrent(P_Z, P_Z, P_G0, P_G0, 540, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_GMinus, 838, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, 219, check)
    call createCurrent(P_G0, P_tauPlus, P_tauMinus, 900, check)
    call createCurrent(P_Z, P_nu_mu, P_nu_muAnti, 452, check)
    call createCurrent(P_b, P_bAnti, P_A, 488, check)
    call createCurrent(P_nu_tau, P_WMinus, P_tauPlus, 818, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, 52, check)
    call createCurrent(P_A, P_G0, 1062, check)
    call createCurrent(P_H, P_H, P_WMinus, P_WPlus, 940, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_A, 626, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_G0, 727, check)
    call createCurrent(P_tAnti, P_t, P_Z, 112, check)
    call createCurrent(P_sAnti, P_WMinus, P_c, 598, check)
    call createCurrent(P_uAnti, P_u, P_G0, 362, check)
    call createCurrent(P_GPlus, P_tAnti, P_b, 816, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_A, 352, check)
    call createCurrent(P_H, P_A, P_H, P_Z, 1099, check)
    call createCurrent(P_H, P_H, P_GMinus, P_GPlus, 542, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_H, 502, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, 938, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, 703, check)
    call createCurrent(P_g, P_g, P_g, P_g, 888, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_Z, 797, check)
    call createCurrent(P_tAnti, P_b, P_WPlus, 612, check)
    call createCurrent(P_WMinus, P_G0, P_Z, P_GPlus, 391, check)
    call createCurrent(P_Z, P_g, P_g, P_A, 1241, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WMinus, 1180, check)
    call createCurrent(P_H, P_A, P_WMinus, P_GPlus, 813, check)
    call createCurrent(P_A, P_H, P_G0, 1114, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WMinus, 527, check)
    call createCurrent(P_H, P_GPlus, P_A, P_WMinus, 557, check)
    call createCurrent(P_Z, P_GPlus, P_G0, P_WMinus, 374, check)
    call createCurrent(P_H, P_Z, P_WPlus, P_GMinus, 823, check)
    call createCurrent(P_uAnti, P_A, P_u, 93, check)
    call createCurrent(P_GMinus, P_dAnti, P_u, 678, check)
    call createCurrent(P_Z, P_g, P_A, P_g, 1218, check)
    call createCurrent(P_g, P_WMinus, P_WPlus, P_g, 1237, check)
    call createCurrent(P_WPlus, P_GMinus, P_WMinus, P_GPlus, 841, check)
    call createCurrent(P_A, P_Z, P_A, P_A, 1185, check)
    call createCurrent(P_muPlus, P_nu_mu, P_WMinus, 891, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghWp, 901, check)
    call createCurrent(P_Z, P_A, P_GMinus, P_GPlus, 780, check)
    call createCurrent(P_A, P_GPlus, P_Z, P_GMinus, 285, check)
    call createCurrent(P_g, P_Z, P_Z, P_g, 1217, check)
    call createCurrent(P_Z, P_H, P_H, P_Z, 50, check)
    call createCurrent(P_G0, P_H, P_G0, 75, check)
    call createCurrent(P_G0, P_A, P_Z, P_G0, 1100, check)
    call createCurrent(P_WPlus, P_A, P_Z, P_WMinus, 326, check)
    call createCurrent(P_A, P_A, P_A, P_A, 1236, check)
    call createCurrent(P_H, P_Z, P_H, P_A, 1085, check)
    call createCurrent(P_uAnti, P_H, P_u, 770, check)
    call createCurrent(P_WMinus, P_GPlus, P_GMinus, P_WPlus, 933, check)
    call createCurrent(P_t, P_WMinus, P_bAnti, 1032, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_G0, 1038, check)
    call createCurrent(P_Z, P_A, P_Z, P_A, 1223, check)
    call createCurrent(P_A, P_H, P_WMinus, P_GPlus, 1019, check)
    call createCurrent(P_g, P_g, P_A, P_g, 1199, check)
    call createCurrent(P_G0, P_Z, P_WPlus, P_GMinus, 180, check)
    call createCurrent(P_sAnti, P_c, P_GMinus, 405, check)
    call createCurrent(P_H, P_d, P_dAnti, 338, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_Z, 26, check)
    call createCurrent(P_Z, P_Z, P_GMinus, P_GPlus, 231, check)
    call createCurrent(P_cAnti, P_c, 1073, check)
    call createCurrent(P_WMinus, P_t, P_bAnti, 99, check)
    call createCurrent(P_g, P_g, P_A, P_Z, 1225, check)
    call createCurrent(P_Z, P_GMinus, P_H, P_WPlus, 676, check)
    call createCurrent(P_muPlus, P_H, P_muMinus, 425, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, 136, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, 137, check)
    call createCurrent(P_A, P_nu_eAnti, P_nu_e, 1092, check)
    call createCurrent(P_H, P_muMinus, P_muPlus, 924, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_G0, 560, check)
    call createCurrent(P_WMinus, P_Z, P_Z, P_WPlus, 721, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_H, 344, check)
    call createCurrent(P_H, P_GMinus, P_H, P_GPlus, 397, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, 375, check)
    call createCurrent(P_G0, P_tAnti, P_t, 390, check)
    call createCurrent(P_muPlus, P_G0, P_muMinus, 1034, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, 122, check)
    call createCurrent(P_Z, P_G0, P_Z, P_G0, 398, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, 752, check)
    call createCurrent(P_s, P_cAnti, P_GPlus, 762, check)
    call createCurrent(P_ePlus, P_nu_e, P_GMinus, 564, check)
    call createCurrent(P_g, P_g, 1088, check)
    call createCurrent(P_bAnti, P_A, P_b, 129, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_G0, 766, check)
    call createCurrent(P_s, P_GPlus, P_cAnti, 436, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, P_H, 984, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, 929, check)
    call createCurrent(P_WPlus, P_muMinus, P_nu_muAnti, 181, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, 131, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, 750, check)
    call createCurrent(P_nu_eAnti, P_Z, P_nu_e, 139, check)
    call createCurrent(P_dAnti, P_d, P_g, 475, check)
    call createCurrent(P_Z, P_Z, P_H, 961, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_GPlus, 912, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_H, 514, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_A, 988, check)
    call createCurrent(P_A, P_A, P_g, P_g, 1208, check)
    call createCurrent(P_bAnti, P_g, P_b, 276, check)
    call createCurrent(P_b, P_Z, P_bAnti, 1011, check)
    call createCurrent(P_d, P_dAnti, P_G0, 504, check)
    call createCurrent(P_cAnti, P_WPlus, P_s, 761, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_A, 485, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, 328, check)
    call createCurrent(P_WPlus, P_uAnti, P_d, 1037, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, 83, check)
    call createCurrent(P_u, P_uAnti, 1144, check)
    call createCurrent(P_A, P_G0, P_G0, P_A, 1226, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_Z, 140, check)
    call createCurrent(P_GPlus, P_s, P_cAnti, 94, check)
    call createCurrent(P_d, P_uAnti, P_WPlus, 24, check)
    call createCurrent(P_muMinus, P_H, P_muPlus, 309, check)
    call createCurrent(P_GMinus, P_GPlus, P_GMinus, P_GPlus, 415, check)
    call createCurrent(P_A, P_H, P_GPlus, P_WMinus, 149, check)
    call createCurrent(P_uAnti, P_GPlus, P_d, 320, check)
    call createCurrent(P_WMinus, P_WMinus, P_WPlus, P_WPlus, 698, check)
    call createCurrent(P_tauPlus, P_WMinus, P_nu_tau, 284, check)
    call createCurrent(P_Z, P_Z, 1050, check)
    call createCurrent(P_b, P_tAnti, P_WPlus, 102, check)
    call createCurrent(P_g, P_g, P_WPlus, P_WMinus, 1160, check)
    call createCurrent(P_nu_muAnti, P_GPlus, P_muMinus, 946, check)
    call createCurrent(P_H, P_ghZ, P_ghZAnti, 153, check)
    call createCurrent(P_sAnti, P_s, P_Z, 1045, check)
    call createCurrent(P_uAnti, P_Z, P_u, 801, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, 34, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_Z, 810, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, 198, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_GMinus, 899, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WPlus, 907, check)
    call createCurrent(P_g, P_uAnti, P_u, 650, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, 494, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_A, 890, check)
    call createCurrent(P_WMinus, P_g, P_WPlus, P_g, 1196, check)
    call createCurrent(P_A, P_GPlus, P_H, P_WMinus, 476, check)
    call createCurrent(P_G0, P_s, P_sAnti, 928, check)
    call createCurrent(P_Z, P_H, P_Z, P_H, 524, check)
    call createCurrent(P_d, P_dAnti, 1072, check)
    call createCurrent(P_A, P_G0, P_A, P_G0, 1181, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, 464, check)
    call createCurrent(P_g, P_Z, P_g, P_Z, 1183, check)
    call createCurrent(P_g, P_g, P_Z, P_g, 1220, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WPlus, 973, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, 1026, check)
    call createCurrent(P_G0, P_Z, P_G0, P_A, 1065, check)
    call createCurrent(P_Z, P_sAnti, P_s, 589, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, 349, check)
    call createCurrent(P_H, P_ghWmAnti, P_ghWm, 178, check)
    call createCurrent(P_nu_mu, P_GMinus, P_muPlus, 844, check)
    call createCurrent(P_H, P_eMinus, P_ePlus, 734, check)
    call createCurrent(P_G0, P_G0, P_H, P_H, 739, check)
    call createCurrent(P_WMinus, P_H, P_H, P_WPlus, 691, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_H, 319, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, 474, check)
    call createCurrent(P_H, P_G0, P_Z, 46, check)
    call createCurrent(P_G0, P_Z, P_GMinus, P_WPlus, 715, check)
    call createCurrent(P_G0, P_WMinus, P_A, P_GPlus, 749, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_Z, 666, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, 758, check)
    call createCurrent(P_dAnti, P_d, P_H, 976, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_G0, 267, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, 277, check)
    call createCurrent(P_WMinus, P_GPlus, 1053, check)
    call createCurrent(P_G0, P_GMinus, P_A, P_WPlus, 972, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, 829, check)
    call createCurrent(P_Z, P_G0, P_G0, P_Z, 14, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_Z, 664, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, P_G0, 159, check)
    call createCurrent(P_WMinus, P_WPlus, 1121, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, 450, check)
    call createCurrent(P_g, P_GPlus, P_GMinus, P_g, 1177, check)
    call createCurrent(P_WMinus, P_A, P_Z, P_WPlus, 790, check)
    call createCurrent(P_G0, P_G0, P_A, P_A, 1239, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_GPlus, 845, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, 481, check)
    call createCurrent(P_A, P_A, P_Z, P_A, 1246, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, 106, check)
    call createCurrent(P_A, P_G0, P_H, 1111, check)
    call createCurrent(P_WPlus, P_WMinus, P_WPlus, P_WMinus, 576, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, 200, check)
    call createCurrent(P_nu_tau, P_Z, P_nu_tauAnti, 648, check)
    call createCurrent(P_G0, P_d, P_dAnti, 931, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, 295, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_A, 331, check)
    call createCurrent(P_bAnti, P_G0, P_b, 751, check)
    call createCurrent(P_H, P_Z, P_A, P_H, 1115, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_A, 741, check)
    call createCurrent(P_nu_muAnti, P_Z, P_nu_mu, 76, check)
    call createCurrent(P_WPlus, P_WMinus, P_G0, P_G0, 975, check)
    call createCurrent(P_G0, P_G0, P_GMinus, P_GPlus, 85, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_G0, 441, check)
    call createCurrent(P_H, P_Z, P_G0, 228, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_H, 372, check)
    call createCurrent(P_b, P_WPlus, P_tAnti, 489, check)
    call createCurrent(P_A, P_nu_e, P_nu_eAnti, 1141, check)
    call createCurrent(P_c, P_cAnti, P_H, 189, check)
    call createCurrent(P_bAnti, P_t, P_WMinus, 124, check)
    call createCurrent(P_GPlus, P_nu_eAnti, P_eMinus, 92, check)
    call createCurrent(P_Z, P_H, P_H, P_A, 1083, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_Z, 110, check)
    call createCurrent(P_Z, P_Z, P_A, P_Z, 1174, check)
    call createCurrent(P_Z, P_cAnti, P_c, 710, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_G0, 1025, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, 859, check)
    call createCurrent(P_nu_eAnti, P_A, P_nu_e, 1060, check)
    call createCurrent(P_nu_tauAnti, P_WPlus, P_tauMinus, 696, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_A, 978, check)
    call createCurrent(P_bAnti, P_Z, P_b, 414, check)
    call createCurrent(P_H, P_G0, P_G0, P_H, 53, check)
    call createCurrent(P_A, P_GMinus, P_A, P_GPlus, 591, check)
    call createCurrent(P_A, P_Z, P_G0, P_G0, 1118, check)
    call createCurrent(P_WPlus, P_eMinus, P_nu_eAnti, 368, check)
    call createCurrent(P_tAnti, P_WPlus, P_b, 209, check)
    call createCurrent(P_muPlus, P_muMinus, P_A, 515, check)
    call createCurrent(P_WMinus, P_H, P_A, P_GPlus, 547, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_Z, 621, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, 636, check)
    call createCurrent(P_Z, P_nu_tauAnti, P_nu_tau, 847, check)
    call createCurrent(P_cAnti, P_H, P_c, 748, check)
    call createCurrent(P_d, P_dAnti, P_A, 802, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_GPlus, 806, check)
    call createCurrent(P_A, P_Z, 1056, check)
    call createCurrent(P_GMinus, P_Z, P_G0, P_WPlus, 470, check)
    call createCurrent(P_uAnti, P_WPlus, P_d, 858, check)
    call createCurrent(P_G0, P_G0, P_H, 660, check)
    call createCurrent(P_tauPlus, P_GMinus, P_nu_tau, 819, check)
    call createCurrent(P_u, P_H, P_uAnti, 960, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, 713, check)
    call createCurrent(P_H, P_A, P_GPlus, P_WMinus, 747, check)
    call createCurrent(P_c, P_GMinus, P_sAnti, 635, check)
    call createCurrent(P_G0, P_A, P_A, P_G0, 1210, check)
    call createCurrent(P_cAnti, P_c, P_A, 70, check)
    call createCurrent(P_eMinus, P_ePlus, 1140, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, 202, check)
    call createCurrent(P_WPlus, P_WMinus, P_WMinus, P_WPlus, 880, check)
    call createCurrent(P_c, P_cAnti, 1066, check)
    call createCurrent(P_WPlus, P_s, P_cAnti, 936, check)
    call createCurrent(P_H, P_A, P_Z, 1061, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, 460, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, 768, check)
    call createCurrent(P_H, P_muPlus, P_muMinus, 403, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, 315, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, 232, check)
    call createCurrent(P_H, P_dAnti, P_d, 917, check)
    call createCurrent(P_WPlus, P_WMinus, 1120, check)
    call createCurrent(P_tauMinus, P_G0, P_tauPlus, 571, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WMinus, 680, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_H, 67, check)
    call createCurrent(P_H, P_H, P_H, P_H, 143, check)
    call createCurrent(P_nu_tauAnti, P_A, P_nu_tau, 1137, check)
    call createCurrent(P_G0, P_GMinus, P_G0, P_GPlus, 469, check)
    call createCurrent(P_Z, P_g, P_g, P_g, 1240, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_H, 204, check)
    call createCurrent(P_Z, P_tauPlus, P_tauMinus, 1041, check)
    call createCurrent(P_Z, P_Z, P_H, P_H, 910, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, P_H, 869, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghWpAnti, 729, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghWp, 855, check)
    call createCurrent(P_G0, P_Z, P_A, P_G0, 1082, check)
    call createCurrent(P_WPlus, P_ghA, P_ghWpAnti, 444, check)
    call createCurrent(P_GMinus, P_nu_e, P_ePlus, 316, check)
    call createCurrent(P_Z, P_A, P_A, P_Z, 1243, check)
    call createCurrent(P_g, P_s, P_sAnti, 118, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_GPlus, 63, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_H, 44, check)
    call createCurrent(P_A, P_A, P_GMinus, P_GPlus, 109, check)
    call createCurrent(P_WMinus, P_ePlus, P_nu_e, 554, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, 413, check)
    call createCurrent(P_b, P_bAnti, 1064, check)
    call createCurrent(P_H, P_ghWm, P_ghWmAnti, 603, check)
    call createCurrent(P_muPlus, P_A, P_muMinus, 1000, check)
    call createCurrent(P_WMinus, P_A, P_G0, P_GPlus, 234, check)
    call createCurrent(P_tauMinus, P_tauPlus, 1139, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_A, 74, check)
    call createCurrent(P_GPlus, P_A, P_A, P_GMinus, 701, check)
    call createCurrent(P_t, P_tAnti, 1051, check)
    call createCurrent(P_G0, P_WPlus, P_G0, P_WMinus, 545, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, 999, check)
    call createCurrent(P_eMinus, P_GPlus, P_nu_eAnti, 168, check)
    call createCurrent(P_c, P_A, P_cAnti, 1016, check)
    call createCurrent(P_GPlus, P_d, P_uAnti, 266, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, 280, check)
    call createCurrent(P_GPlus, P_Z, P_G0, P_WMinus, 210, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, 906, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_G0, 519, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, 259, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_A, 56, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, 108, check)
    call createCurrent(P_tauPlus, P_Z, P_tauMinus, 550, check)
    call createCurrent(P_d, P_G0, P_dAnti, 201, check)
    call createCurrent(P_s, P_WPlus, P_cAnti, 1014, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, 538, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_G0, 522, check)
    call createCurrent(P_A, P_H, P_A, 1232, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, 51, check)
    call createCurrent(P_dAnti, P_WMinus, P_u, 101, check)
    call createCurrent(P_A, P_G0, P_GPlus, P_WMinus, 298, check)
    call createCurrent(P_Z, P_A, P_WMinus, P_WPlus, 257, check)
    call createCurrent(P_Z, P_A, P_H, 1081, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, 980, check)
    call createCurrent(P_bAnti, P_b, 1057, check)
    call createCurrent(P_g, P_g, P_g, 451, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, 607, check)
    call createCurrent(P_A, P_H, P_H, P_Z, 1077, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, 156, check)
    call createCurrent(P_g, P_WMinus, P_g, P_WPlus, 1153, check)
    call createCurrent(P_cAnti, P_GPlus, P_s, 286, check)
    call createCurrent(P_eMinus, P_G0, P_ePlus, 1031, check)
    call createCurrent(P_uAnti, P_u, P_A, 348, check)
    call createCurrent(P_tAnti, P_G0, P_t, 270, check)
    call createCurrent(P_A, P_tAnti, P_t, 213, check)
    call createCurrent(P_nu_muAnti, P_A, P_nu_mu, 1145, check)
    call createCurrent(P_G0, P_WMinus, P_Z, P_GPlus, 546, check)
    call createCurrent(P_G0, P_A, P_G0, P_A, 1213, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, 669, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GMinus, 742, check)
    call createCurrent(P_s, P_H, P_sAnti, 325, check)
    call createCurrent(P_t, P_tAnti, P_Z, 462, check)
    call createCurrent(P_GPlus, P_uAnti, P_d, 1047, check)
    call createCurrent(P_GPlus, P_nu_tauAnti, P_tauMinus, 492, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, 808, check)
    call createCurrent(P_tAnti, P_Z, P_t, 292, check)
    call createCurrent(P_tauMinus, P_H, P_tauPlus, 954, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, 484, check)
    call createCurrent(P_WMinus, P_u, P_dAnti, 600, check)
    call createCurrent(P_H, P_WPlus, P_A, P_GMinus, 57, check)
    call createCurrent(P_G0, P_GMinus, P_Z, P_WPlus, 863, check)
    call createCurrent(P_G0, P_Z, P_Z, P_G0, 805, check)
    call createCurrent(P_Z, P_d, P_dAnti, 568, check)
    call createCurrent(P_G0, P_WMinus, P_WPlus, P_G0, 599, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_G0, 424, check)
    call createCurrent(P_Z, P_A, P_A, P_A, 1228, check)
    call createCurrent(P_Z, P_GPlus, P_Z, P_GMinus, 1048, check)
    call createCurrent(P_d, P_A, P_dAnti, 146, check)
    call createCurrent(P_d, P_dAnti, P_H, 772, check)
    call createCurrent(P_Z, P_WMinus, P_H, P_GPlus, 865, check)
    call createCurrent(P_c, P_cAnti, P_G0, 971, check)
    call createCurrent(P_Z, P_nu_e, P_nu_eAnti, 994, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Z, 333, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_G0, 964, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, 454, check)
    call createCurrent(P_b, P_bAnti, P_g, 66, check)
    call createCurrent(P_WMinus, P_A, P_H, P_GPlus, 473, check)
    call createCurrent(P_A, P_Z, P_WMinus, P_WPlus, 186, check)
    call createCurrent(P_bAnti, P_t, P_GMinus, 608, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, 392, check)
    call createCurrent(P_GMinus, P_GPlus, P_g, P_g, 1221, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, 661, check)
    call createCurrent(P_G0, P_G0, P_g, P_g, 1235, check)
    call createCurrent(P_nu_mu, P_WMinus, P_muPlus, 171, check)
    call createCurrent(P_A, P_s, P_sAnti, 516, check)
    call createCurrent(P_GPlus, P_eMinus, P_nu_eAnti, 732, check)
    call createCurrent(P_GPlus, P_A, P_H, P_WMinus, 39, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_Z, 883, check)
    call createCurrent(P_WMinus, P_WPlus, P_WPlus, P_WMinus, 956, check)
    call createCurrent(P_GMinus, P_c, P_sAnti, 8, check)
    call createCurrent(P_H, P_ePlus, P_eMinus, 233, check)
    call createCurrent(P_WPlus, P_H, P_Z, P_GMinus, 670, check)
    call createCurrent(P_g, P_c, P_cAnti, 773, check)
    call createCurrent(P_g, P_A, P_g, P_g, 1161, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WPlus, 483, check)
    call createCurrent(P_A, P_A, P_WMinus, P_WPlus, 1027, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, 876, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_Z, 1039, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_H, 263, check)
    call createCurrent(P_A, P_WMinus, P_Z, P_WPlus, 774, check)
    call createCurrent(P_A, P_H, P_Z, 1132, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, P_H, 731, check)
    call createCurrent(P_A, P_H, P_WPlus, P_GMinus, 214, check)
    call createCurrent(P_d, P_g, P_dAnti, 256, check)
    call createCurrent(P_WPlus, P_WMinus, P_GPlus, P_GMinus, 23, check)
    call createCurrent(P_g, P_t, P_tAnti, 337, check)
    call createCurrent(P_G0, P_Z, P_G0, P_Z, 918, check)
    call createCurrent(P_H, P_tAnti, P_t, 856, check)
    call createCurrent(P_g, P_A, P_A, P_g, 1244, check)
    call createCurrent(P_cAnti, P_s, P_WPlus, 585, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, 1046, check)
    call createCurrent(P_WPlus, P_g, P_g, P_WMinus, 1245, check)
    call createCurrent(P_sAnti, P_Z, P_s, 364, check)
    call createCurrent(P_WPlus, P_GPlus, P_WMinus, P_GMinus, 433, check)
    call createCurrent(P_A, P_Z, P_H, 1126, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WPlus, 1166, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, 114, check)
    call createCurrent(P_GMinus, P_WPlus, 1109, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_A, 465, check)
    call createCurrent(P_G0, P_H, P_G0, P_H, 239, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, 943, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, 409, check)
    call createCurrent(P_A, P_WPlus, P_H, P_GMinus, 278, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, 478, check)
    call createCurrent(P_nu_e, P_Z, P_nu_eAnti, 394, check)
    call createCurrent(P_Z, P_muMinus, P_muPlus, 962, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghZAnti, 646, check)
    call createCurrent(P_dAnti, P_d, P_A, 531, check)
    call createCurrent(P_G0, P_GPlus, P_G0, P_GMinus, 346, check)
    call createCurrent(P_dAnti, P_u, P_WMinus, 896, check)
    call createCurrent(P_uAnti, P_d, P_GPlus, 969, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_A, 117, check)
    call createCurrent(P_GMinus, P_G0, P_Z, P_WPlus, 19, check)
    call createCurrent(P_GPlus, P_H, P_Z, P_WMinus, 447, check)
    call createCurrent(P_g, P_g, P_GPlus, P_GMinus, 1216, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, 446, check)
    call createCurrent(P_GMinus, P_H, P_Z, P_WPlus, 28, check)
    call createCurrent(P_b, P_tAnti, P_GPlus, 627, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_Z, 406, check)
    call createCurrent(P_A, P_A, P_G0, P_G0, 1179, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_A, 294, check)
    call createCurrent(P_ePlus, P_nu_e, P_WMinus, 61, check)
    call createCurrent(P_H, P_WPlus, P_Z, P_GMinus, 134, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_A, 1090, check)
    call createCurrent(P_ghWpAnti, P_H, P_ghWp, 356, check)
    call createCurrent(P_dAnti, P_A, P_d, 427, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, 791, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GPlus, 386, check)
    call createCurrent(P_A, P_t, P_tAnti, 128, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, 827, check)
    call createCurrent(P_muPlus, P_WMinus, P_nu_mu, 779, check)
    call createCurrent(P_H, P_GMinus, P_A, P_WPlus, 459, check)
    call createCurrent(P_b, P_G0, P_bAnti, 387, check)
    call createCurrent(P_nu_tau, P_GMinus, P_tauPlus, 948, check)
    call createCurrent(P_Z, P_tAnti, P_t, 755, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_Z, 169, check)
    call createCurrent(P_g, P_b, P_bAnti, 95, check)
    call createCurrent(P_A, P_b, P_bAnti, 974, check)
    call createCurrent(P_g, P_g, P_H, P_H, 1151, check)
    call createCurrent(P_ePlus, P_eMinus, P_G0, 798, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, 738, check)
    call createCurrent(P_G0, P_G0, P_Z, P_A, 1052, check)
    call createCurrent(P_tauMinus, P_GPlus, P_nu_tauAnti, 477, check)
    call createCurrent(P_Z, P_s, P_sAnti, 133, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_Z, 565, check)
    call createCurrent(P_sAnti, P_g, P_s, 724, check)
    call createCurrent(P_Z, P_t, P_tAnti, 445, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, 208, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghWm, 130, check)
    call createCurrent(P_nu_e, P_ePlus, P_GMinus, 29, check)
    call createCurrent(P_GPlus, P_GMinus, P_GPlus, P_GMinus, 614, check)
    call createCurrent(P_A, P_A, P_Z, P_Z, 1209, check)
    call createCurrent(P_u, P_uAnti, P_G0, 949, check)
    call createCurrent(P_A, P_eMinus, P_ePlus, 681, check)
    call createCurrent(P_c, P_H, P_cAnti, 314, check)
    call createCurrent(P_GPlus, P_WMinus, 1086, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_G0, 570, check)
    call createCurrent(P_A, P_Z, P_WPlus, P_WMinus, 107, check)
    call createCurrent(P_GMinus, P_nu_tau, P_tauPlus, 981, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_A, 138, check)
    call createCurrent(P_sAnti, P_s, P_g, 330, check)
    call createCurrent(P_WPlus, P_GMinus, 1116, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_H, 1005, check)
    call createCurrent(P_WPlus, P_tauMinus, P_nu_tauAnti, 873, check)
    call createCurrent(P_tAnti, P_b, P_GPlus, 120, check)
    call createCurrent(P_A, P_H, P_A, P_H, 1157, check)
    call createCurrent(P_u, P_dAnti, P_GMinus, 708, check)
    call createCurrent(P_WPlus, P_WPlus, P_WMinus, P_WMinus, 339, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, 622, check)
    call createCurrent(P_A, P_WPlus, P_G0, P_GMinus, 172, check)
    call createCurrent(P_H, P_GPlus, P_H, P_GMinus, 184, check)
    call createCurrent(P_g, P_Z, P_A, P_g, 1170, check)
    call createCurrent(P_A, P_nu_tauAnti, P_nu_tau, 1117, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_G0, 789, check)
    call createCurrent(P_ePlus, P_eMinus, P_H, 104, check)
    call createCurrent(P_g, P_G0, P_g, P_G0, 1233, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GMinus, 453, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, 706, check)
    call createCurrent(P_b, P_g, P_bAnti, 246, check)
    call createCurrent(P_tAnti, P_t, P_g, 35, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_Z, 355, check)
    call createCurrent(P_g, P_cAnti, P_c, 884, check)
    call createCurrent(P_d, P_H, P_dAnti, 182, check)
    call createCurrent(P_WPlus, P_G0, P_G0, P_WMinus, 967, check)
    call createCurrent(P_u, P_g, P_uAnti, 653, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, 258, check)
    call createCurrent(P_Z, P_H, P_A, 1069, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_G0, 418, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_Z, 521, check)
    call createCurrent(P_H, P_bAnti, P_b, 640, check)
    call createCurrent(P_WMinus, P_WPlus, P_GPlus, P_GMinus, 438, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, 982, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_Z, 1023, check)
    call createCurrent(P_G0, P_A, P_G0, P_Z, 1049, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, 161, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_H, 435, check)
    call createCurrent(P_Z, P_WMinus, P_A, P_WPlus, 359, check)
    call createCurrent(P_H, P_H, P_g, P_g, 1193, check)
    call createCurrent(P_G0, P_t, P_tAnti, 689, check)
    call createCurrent(P_sAnti, P_c, P_WMinus, 199, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, 155, check)
    call createCurrent(P_sAnti, P_s, P_G0, 539, check)
    call createCurrent(P_WMinus, P_tauPlus, P_nu_tau, 160, check)
    call createCurrent(P_H, P_Z, P_GPlus, P_WMinus, 212, check)
    call createCurrent(P_WPlus, P_nu_tauAnti, P_tauMinus, 850, check)
    call createCurrent(P_A, P_GMinus, P_H, P_WPlus, 874, check)
    call createCurrent(P_g, P_d, P_dAnti, 775, check)
    call createCurrent(P_A, P_WMinus, P_G0, P_GPlus, 105, check)
    call createCurrent(P_GMinus, P_WPlus, P_GPlus, P_WMinus, 203, check)
    call createCurrent(P_eMinus, P_ePlus, P_G0, 251, check)
    call createCurrent(P_u, P_G0, P_uAnti, 10, check)
    call createCurrent(P_ePlus, P_GMinus, P_nu_e, 195, check)
    call createCurrent(P_cAnti, P_c, P_G0, 100, check)
    call createCurrent(P_c, P_G0, P_cAnti, 1010, check)
    call createCurrent(P_G0, P_G0, 1110, check)
    call createCurrent(P_A, P_GPlus, P_A, P_GMinus, 553, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_A, 544, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, 997, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_H, 150, check)
    call createCurrent(P_WMinus, P_bAnti, P_t, 487, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_A, 321, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, 88, check)
    call createCurrent(P_uAnti, P_u, P_Z, 260, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_G0, 183, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, 342, check)
    call createCurrent(P_A, P_G0, P_G0, P_Z, 1113, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, 345, check)
    call createCurrent(P_G0, P_sAnti, P_s, 638, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, 456, check)
    call createCurrent(P_muMinus, P_GPlus, P_nu_muAnti, 951, check)
    call createCurrent(P_GPlus, P_Z, P_H, P_WMinus, 275, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, 511, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, 15, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_Z, 289, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_GMinus, 998, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_A, 814, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghA, 170, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, 60, check)
    call createCurrent(P_eMinus, P_ePlus, P_A, 581, check)
    call createCurrent(P_nu_mu, P_Z, P_nu_muAnti, 687, check)
    call createCurrent(P_A, P_Z, P_A, P_Z, 1182, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_H, 410, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, 920, check)
    call createCurrent(P_sAnti, P_GMinus, P_c, 174, check)
    call createCurrent(P_H, P_u, P_uAnti, 299, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, 18, check)
    call createCurrent(P_GMinus, P_GPlus, P_GPlus, P_GMinus, 291, check)
    call createCurrent(P_GPlus, P_cAnti, P_s, 842, check)
    call createCurrent(P_u, P_WMinus, P_dAnti, 709, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_G0, 743, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, 746, check)
    call createCurrent(P_GMinus, P_Z, P_H, P_WPlus, 699, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, 725, check)
    call createCurrent(P_H, P_A, P_G0, 1098, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, 811, check)
    call createCurrent(P_GMinus, P_g, P_g, P_GPlus, 1188, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_H, 651, check)
    call createCurrent(P_H, P_s, P_sAnti, 682, check)
    call createCurrent(P_muPlus, P_muMinus, P_Z, 211, check)
    call createCurrent(P_d, P_GPlus, P_uAnti, 363, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, 486, check)
    call createCurrent(P_H, P_Z, P_WMinus, P_GPlus, 457, check)
    call createCurrent(P_Z, P_GMinus, P_Z, P_GPlus, 992, check)
    call createCurrent(P_nu_eAnti, P_GPlus, P_eMinus, 702, check)
    call createCurrent(P_Z, P_H, P_GMinus, P_WPlus, 584, check)
    call createCurrent(P_tauMinus, P_Z, P_tauPlus, 431, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_A, 215, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, 629, check)
    call createCurrent(P_GPlus, P_muMinus, P_nu_muAnti, 616, check)
    call createCurrent(P_Z, P_G0, P_GMinus, P_WPlus, 870, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, 179, check)
    call createCurrent(P_g, P_dAnti, P_d, 843, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, 609, check)
    call createCurrent(P_WPlus, P_nu_eAnti, P_eMinus, 54, check)
    call createCurrent(P_GMinus, P_t, P_bAnti, 957, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_H, 80, check)
    call createCurrent(P_bAnti, P_b, P_H, 683, check)
    call createCurrent(P_eMinus, P_ePlus, P_H, 533, check)
    call createCurrent(P_d, P_Z, P_dAnti, 379, check)
    call createCurrent(P_A, P_bAnti, P_b, 218, check)
    call createCurrent(P_bAnti, P_GMinus, P_t, 253, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_Z, 834, check)
    call createCurrent(P_g, P_bAnti, P_b, 643, check)
    call createCurrent(P_Z, P_Z, P_WMinus, P_WPlus, 860, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, 711, check)
    call createCurrent(P_G0, P_G0, P_A, P_Z, 1078, check)
    call createCurrent(P_G0, P_ghWp, P_ghWpAnti, 536, check)
    call createCurrent(P_t, P_A, P_tAnti, 306, check)
    call createCurrent(P_ePlus, P_eMinus, 1091, check)
    call createCurrent(P_H, P_WMinus, P_Z, P_GPlus, 786, check)
    call createCurrent(P_A, P_g, P_g, P_Z, 1167, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_A, 932, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_Z, 675, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghA, 175, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, P_H, 327, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_H, 577, check)
    call createCurrent(P_GMinus, P_H, P_H, P_GPlus, 898, check)
    call createCurrent(P_g, P_Z, P_g, P_A, 1200, check)
    call createCurrent(P_cAnti, P_c, P_Z, 820, check)
    call createCurrent(P_WMinus, P_muPlus, P_nu_mu, 894, check)
    call createCurrent(P_uAnti, P_u, P_H, 667, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_Z, 111, check)
    call createCurrent(P_WMinus, P_G0, P_A, P_GPlus, 1009, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, 1, check)
    call createCurrent(P_ghZ, P_H, P_ghZAnti, 272, check)
    call createCurrent(P_Z, P_eMinus, P_ePlus, 86, check)
    call createCurrent(P_A, P_GPlus, P_G0, P_WMinus, 249, check)
    call createCurrent(P_ePlus, P_A, P_eMinus, 135, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, 830, check)
    call createCurrent(P_t, P_bAnti, P_GMinus, 499, check)
    call createCurrent(P_A, P_tauMinus, P_tauPlus, 283, check)
    call createCurrent(P_c, P_cAnti, P_g, 707, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_G0, 586, check)
    call createCurrent(P_Z, P_A, 1096, check)
    call createCurrent(P_WMinus, P_sAnti, P_c, 282, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WPlus, 116, check)
    call createCurrent(P_bAnti, P_WMinus, P_t, 59, check)
    call createCurrent(P_g, P_Z, P_g, P_g, 1159, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, 965, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_Z, 628, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_H, 41, check)
    call createCurrent(P_muPlus, P_GMinus, P_nu_mu, 242, check)
    call createCurrent(P_G0, P_H, P_H, P_G0, 915, check)
    call createCurrent(P_bAnti, P_b, P_A, 824, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, 311, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_H, 89, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, 419, check)
    call createCurrent(P_A, P_tauPlus, P_tauMinus, 132, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, 300, check)
    call createCurrent(P_muMinus, P_muPlus, 1093, check)
    call createCurrent(P_H, P_Z, P_Z, 113, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_GMinus, 243, check)
    call createCurrent(P_Z, P_A, P_WPlus, P_WMinus, 141, check)
    call createCurrent(P_H, P_WMinus, P_A, P_GPlus, 705, check)
    call createCurrent(P_GMinus, P_muPlus, P_nu_mu, 191, check)
    call createCurrent(P_d, P_dAnti, P_g, 821, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_G0, 302, check)
    call createCurrent(P_Z, P_nu_eAnti, P_nu_e, 692, check)
    call createCurrent(P_GPlus, P_g, P_g, P_GMinus, 1201, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, 970, check)
    call createCurrent(P_Z, P_Z, P_Z, P_A, 1163, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_G0, 1030, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_A, 301, check)
    call createCurrent(P_G0, P_muPlus, P_muMinus, 659, check)
    call createCurrent(P_A, P_nu_mu, P_nu_muAnti, 1075, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, 923, check)
    call createCurrent(P_GPlus, P_g, P_GMinus, P_g, 1230, check)
    call createCurrent(P_GPlus, P_GMinus, P_WMinus, P_WPlus, 836, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, 468, check)
    call createCurrent(P_g, P_g, P_Z, P_Z, 1184, check)
    call createCurrent(P_H, P_H, P_WPlus, P_WMinus, 919, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_GMinus, 69, check)
    call createCurrent(P_c, P_Z, P_cAnti, 334, check)
    call createCurrent(P_G0, P_tauMinus, P_tauPlus, 921, check)
    call createCurrent(P_eMinus, P_H, P_ePlus, 332, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_G0, 776, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, 194, check)
    call createCurrent(P_g, P_ghG, P_ghGAnti, 867, check)
    call createCurrent(P_A, P_H, P_Z, P_H, 1125, check)
    call createCurrent(P_cAnti, P_G0, P_c, 606, check)
    call createCurrent(P_H, P_b, P_bAnti, 439, check)
    call createCurrent(P_b, P_GPlus, P_tAnti, 223, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_Z, 81, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, 877, check)
    call createCurrent(P_Z, P_A, P_H, P_H, 1059, check)
    call createCurrent(P_dAnti, P_G0, P_d, 305, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Z, 341, check)
    call createCurrent(P_A, P_A, 1076, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 123, check)
    call createCurrent(P_H, P_WPlus, P_H, P_WMinus, 417, check)
    call createCurrent(P_Z, P_H, P_G0, 197, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, 126, check)
    call createCurrent(P_muMinus, P_muPlus, P_Z, 848, check)
    call createCurrent(P_eMinus, P_Z, P_ePlus, 236, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, 323, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, 167, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, 1123, check)
    call createCurrent(P_GPlus, P_WPlus, P_GMinus, P_WMinus, 947, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, 763, check)
    call createCurrent(P_g, P_g, P_GMinus, P_GPlus, 1202, check)
    call createCurrent(P_WPlus, P_cAnti, P_s, 831, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WMinus, 426, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_Z, 480, check)
    call createCurrent(P_WMinus, P_nu_tau, P_tauPlus, 216, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, P_H, 148, check)
    call createCurrent(P_WPlus, P_A, P_G0, P_GMinus, 241, check)
    call createCurrent(P_tAnti, P_t, P_G0, 549, check)
    call createCurrent(P_A, P_WMinus, P_H, P_GPlus, 377, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghWm, 230, check)
    call createCurrent(P_s, P_sAnti, P_g, 617, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, 27, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_G0, 935, check)
    call createCurrent(P_tAnti, P_g, P_t, 733, check)
    call createCurrent(P_s, P_G0, P_sAnti, 31, check)
    call createCurrent(P_Z, P_G0, P_WMinus, P_GPlus, 573, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, 792, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, 423, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_A, 730, check)
    call createCurrent(P_H, P_A, P_WPlus, P_GMinus, 371, check)
    call createCurrent(P_GPlus, P_WMinus, P_GMinus, P_WPlus, 1042, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, 510, check)
    call createCurrent(P_tAnti, P_t, P_H, 534, check)
    call createCurrent(P_u, P_uAnti, P_g, 98, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WPlus, 525, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_A, 1133, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, 558, check)
    call createCurrent(P_GPlus, P_H, P_A, P_WMinus, 165, check)
    call createCurrent(P_A, P_Z, P_GPlus, P_GMinus, 861, check)
    call createCurrent(P_u, P_uAnti, P_A, 43, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, 248, check)
    call createCurrent(P_Z, P_G0, 1119, check)
    call createCurrent(P_GMinus, P_A, P_A, P_GPlus, 103, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_H, 532, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_GPlus, 559, check)
    call createCurrent(P_tauPlus, P_H, P_tauMinus, 759, check)
    call createCurrent(P_tauMinus, P_A, P_tauPlus, 434, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_GPlus, 9, check)
    call createCurrent(P_G0, P_b, P_bAnti, 955, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, 769, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, 781, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_Z, 121, check)
    call createCurrent(P_A, P_G0, P_WMinus, P_GPlus, 221, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, 567, check)
    call createCurrent(P_Z, P_A, P_GPlus, P_GMinus, 657, check)
    call createCurrent(P_b, P_H, P_bAnti, 634, check)
    call createCurrent(P_A, P_WPlus, P_A, P_WMinus, 207, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_G0, 513, check)
    call createCurrent(P_uAnti, P_g, P_u, 632, check)
    call createCurrent(P_GPlus, P_G0, P_Z, P_WMinus, 30, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, 663, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_Z, 756, check)
    call createCurrent(P_g, P_g, P_Z, P_A, 1231, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_Z, 563, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, 147, check)
    call createCurrent(P_H, P_A, P_A, 1204, check)
    call createCurrent(P_G0, P_A, 1130, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_H, 631, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_Z, 767, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, 945, check)
    call createCurrent(P_nu_tauAnti, P_GPlus, P_tauMinus, 350, check)
    call createCurrent(P_A, P_WPlus, P_Z, P_WMinus, 720, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, 20, check)
    call createCurrent(P_muMinus, P_G0, P_muPlus, 662, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, 1018, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_A, 639, check)
    call createCurrent(P_G0, P_ePlus, P_eMinus, 493, check)
    call createCurrent(P_g, P_GMinus, P_g, P_GPlus, 1164, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, 637, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_G0, 582, check)
    call createCurrent(P_nu_e, P_nu_eAnti, 1106, check)
    call createCurrent(P_H, P_c, P_cAnti, 1008, check)
    call createCurrent(P_tAnti, P_A, P_t, 760, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_Z, 685, check)
    call createCurrent(P_Z, P_G0, P_A, P_G0, 1079, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_GPlus, 854, check)
    call createCurrent(P_Z, P_muPlus, P_muMinus, 226, check)
    call createCurrent(P_A, P_nu_muAnti, P_nu_mu, 1143, check)
    call createCurrent(P_cAnti, P_c, P_H, 383, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_Z, 697, check)
    call createCurrent(P_g, P_G0, P_G0, P_g, 1192, check)
    call createCurrent(P_c, P_WMinus, P_sAnti, 904, check)
    call createCurrent(P_u, P_Z, P_uAnti, 551, check)
    call createCurrent(P_ghZAnti, P_H, P_ghZ, 49, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_H, 862, check)
    call createCurrent(P_g, P_GPlus, P_g, P_GMinus, 1206, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_Z, 1044, check)
    call createCurrent(P_H, P_Z, P_A, 1128, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, 605, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_A, 385, check)
    call createCurrent(P_g, P_g, P_g, P_A, 1247, check)
    call createCurrent(P_s, P_sAnti, P_A, 562, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_GPlus, 1004, check)
    call createCurrent(P_dAnti, P_d, P_G0, 672, check)
    call createCurrent(P_H, P_Z, P_Z, P_H, 229, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, 728, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_GPlus, 145, check)
  end subroutine fill_current_1
end module currents_info1
