!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 09:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_4792) = coupl(nGC_3470) + coupl(nGC_4789)
    coupl(nGC_4859) = -coupl(nGC_4857)/2d0 + coupl(nGC_4858)
    coupl(nGC_5386) = -coupl(nGC_5385)
    coupl(nGC_4977) = coupl(nGC_3377) + coupl(nGC_46)*dZH_QED2 + coupl(nGC_46)*&
                      dZZ_QED2
    coupl(nGC_5248) = coupl(nGC_3379) + coupl(nGC_52)*dZH_QED2/2d0 + coupl(    &
                      nGC_52)*dZZ_QED2
    coupl(nGC_5957) = -coupl(nGC_5956)
    coupl(nGC_9154) = -coupl(nGC_3266)
    coupl(nGC_5245) = coupl(nGC_5235) + coupl(nGC_5242)
    coupl(nGC_5244) = coupl(nGC_5235) + coupl(nGC_5243)
    coupl(nGC_4990) = coupl(nGC_13)*dZH_QED2 + coupl(nGC_3356) + coupl(nGC_HHGG)
    coupl(nGC_6331) = coupl(nGC_3369) + coupl(nGC_50)*dZH_QED2/2d0 + coupl(    &
                      nGC_50)*dZWMinus_QED2
    coupl(nGC_7611) = coupl(nGC_3477) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_4811) = coupl(nGC_4809) + coupl(nGC_4810)
    coupl(nGC_4836) = coupl(nGC_3375) + coupl(nGC_47)*dZWMinus_QED2/2d0 + coupl&
                      (nGC_47)*dZZ_QED2/2d0 + coupl(nGC_51)*dZAZ_QED2/2d0
    coupl(nGC_4879) = coupl(nGC_26)*dZAZ_QED2/2d0 + coupl(nGC_3376) + coupl(   &
                      nGC_7)*dZWMinus_QED2/2d0 + coupl(nGC_7)*dZZ_QED2/2d0
    coupl(nGC_4749) = coupl(nGC_4740) + coupl(nGC_4747)
    coupl(nGC_4832) = coupl(nGC_27)*dZAZ_QED2/2d0 + coupl(nGC_3374) + coupl(   &
                      nGC_8)*dZH_QED2/2d0 + coupl(nGC_8)*dZWMinus_QED2/2d0 +   &
                      coupl(nGC_8)*dZZ_QED2/2d0
    coupl(nGC_4938) = coupl(nGC_22)*dZWMinus_QED2/2d0 + coupl(nGC_3364)
    coupl(nGC_4939) = -coupl(nGC_4938)
    coupl(nGC_4820) = -coupl(nGC_4819)
    coupl(nGC_4769) = coupl(nGC_4763) + coupl(nGC_4768)
    coupl(nGC_4935) = coupl(nGC_27)*dZA_QED2/2d0 + coupl(nGC_27)*dZH_QED2/2d0  &
                       + coupl(nGC_27)*dZWMinus_QED2/2d0 + coupl(nGC_3362) +   &
                      coupl(nGC_8)*dZZA_QED2/2d0
    coupl(nGC_6137) = coupl(nGC_17)*dZH_QED2 + coupl(nGC_17)*dZWMinus_QED2 +   &
                      coupl(nGC_3368)
    coupl(nGC_6857) = coupl(nGC_3465) + coupl(nGC_6855)
    coupl(nGC_4931) = coupl(nGC_3417) + coupl(nGC_4926)
    coupl(nGC_7904) = -coupl(nGC_7900)
    coupl(nGC_6884) = coupl(nGC_3466) + coupl(nGC_6881)
    coupl(nGC_5122) = coupl(nGC_5119) + coupl(nGC_5120)
    coupl(nGC_5275) = coupl(nGC_3473) + coupl(nGC_5273)
    coupl(nGC_8352) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_3339)
    coupl(nGC_8353) = -2d0*coupl(nGC_8352)
    coupl(nGC_8356) = -coupl(nGC_8352)
    coupl(nGC_8357) = 2d0*coupl(nGC_8352)
    coupl(nGC_4843) = coupl(nGC_3363) + coupl(nGC_47)*dZZA_QED2/2d0 + coupl(   &
                      nGC_51)*dZA_QED2/2d0 + coupl(nGC_51)*dZWMinus_QED2/2d0
    coupl(nGC_4967) = -coupl(nGC_4965)/2d0 + coupl(nGC_4966)
    coupl(nGC_5258) = -coupl(nGC_5257)
    coupl(nGC_5550) = coupl(nGC_3459) + coupl(nGC_5548)
    coupl(nGC_5165) = coupl(nGC_3443) + coupl(nGC_5160)
    coupl(nGC_5399) = coupl(nGC_21)*dZH_QED2/2d0 + coupl(nGC_21)*dZWMinus_QED2/&
                      2d0 + coupl(nGC_3365)
    coupl(nGC_4869) = coupl(nGC_3358) + coupl(nGC_48)*dZH_QED2/2d0 + coupl(    &
                      nGC_GGH)
    coupl(nGC_5121) = coupl(nGC_5117) + coupl(nGC_5120)
    coupl(nGC_5867) = -coupl(nGC_5334)
    coupl(nGC_5611) = coupl(nGC_3467) + coupl(nGC_5609)
    coupl(nGC_4901) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3338)
    coupl(nGC_4860) = coupl(nGC_4857) - 2d0*coupl(nGC_4858)
    coupl(nGC_4942) = coupl(nGC_3476) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_9077) = -coupl(nGC_3274)
    coupl(nGC_6202) = -2d0*coupl(nGC_6201)
    coupl(nGC_4902) = -coupl(nGC_4901)
    coupl(nGC_5494) = -coupl(nGC_5399)
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
