!******************************************************************************!
!                                                                              !
!    vertices_info4.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info4.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 09:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info4
  implicit none
  contains
  subroutine fill_vertices_mdl4()
    use class_vertices
    use class_couplings
    allocate(vertices(604)%branchR2(0:0))
    call avR2(604, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3280])

    allocate(vertices(715)%branchR2(0:0))
    call avR2(715, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3300])

    allocate(vertices(613)%branchR2(0:0))
    call avR2(613, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3262])

    allocate(vertices(240)%branchR2(0:0))
    call avR2(240, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3284])

    allocate(vertices(1173)%branchR2(0:1))
    call avR2(1173, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3325, nGC_3325,        &
    nGC_3325])

    call avR2(1173, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3326, nGC_3326,        &
    nGC_3326])

    allocate(vertices(1128)%branchR2(0:0))
    call avR2(1128, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3259])

    allocate(vertices(326)%branchR2(0:0))
    call avR2(326, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3286, nGC_3287, nGC_3287])

    allocate(vertices(532)%branchR2(0:0))
    call avR2(532, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3284])

    allocate(vertices(351)%branchR2(0:0))
    call avR2(351, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3279])

    allocate(vertices(161)%branchR2(0:0))
    call avR2(161, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3263])

    allocate(vertices(203)%branchR2(0:0))
    call avR2(203, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3295])

    allocate(vertices(985)%branchR2(0:0))
    call avR2(985, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3269])

    allocate(vertices(67)%branchR2(0:0))
    call avR2(67, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3284])

    allocate(vertices(1174)%branchR2(0:0))
    call avR2(1174, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3301, nGC_3301, nGC_3301&
    ])

    allocate(vertices(1175)%branchR2(0:1))
    call avR2(1175, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,        &
    nGC_3316])

    call avR2(1175, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,        &
    nGC_3317])

    allocate(vertices(933)%branchR2(0:0))
    call avR2(933, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3295])

    allocate(vertices(207)%branchR2(0:0))
    call avR2(207, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3278, nGC_3277, nGC_3278])

    allocate(vertices(666)%branchR2(0:0))
    call avR2(666, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3299])

    allocate(vertices(249)%branchR2(0:0))
    call avR2(249, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3280])

    allocate(vertices(478)%branchR2(0:0))
    call avR2(478, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3255])

    allocate(vertices(915)%branchR2(0:0))
    call avR2(915, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3306])

    allocate(vertices(56)%branchR2(0:0))
    call avR2(56, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3287, nGC_3286])

    allocate(vertices(262)%branchR2(0:0))
    call avR2(262, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8998])

    allocate(vertices(467)%branchR2(0:0))
    call avR2(467, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3293])

    allocate(vertices(673)%branchR2(0:0))
    call avR2(673, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9247])

    allocate(vertices(140)%branchR2(0:0))
    call avR2(140, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3299])

    allocate(vertices(910)%branchR2(0:0))
    call avR2(910, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3315])

    allocate(vertices(375)%branchR2(0:0))
    call avR2(375, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3269])

    allocate(vertices(1056)%branchR2(0:0))
    call avR2(1056, 0, 13, 1, 0, VV4, 0, [0, 2], [nGC_3241, nGC_3242])

    allocate(vertices(1176)%branchR2(0:0))
    call avR2(1176, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3282])

    allocate(vertices(697)%branchR2(0:0))
    call avR2(697, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3299])

    allocate(vertices(610)%branchR2(0:0))
    call avR2(610, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3293])

    allocate(vertices(89)%branchR2(0:0))
    call avR2(89, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(827)%branchR2(0:0))
    call avR2(827, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3257])

    allocate(vertices(947)%branchR2(0:0))
    call avR2(947, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3295])

    allocate(vertices(447)%branchR2(0:0))
    call avR2(447, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(1177)%branchR2(0:1))
    call avR2(1177, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_3304])

    call avR2(1177, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_3305])

    allocate(vertices(553)%branchR2(0:0))
    call avR2(553, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3279])

    allocate(vertices(113)%branchR2(0:0))
    call avR2(113, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3271])

    allocate(vertices(786)%branchR2(0:0))
    call avR2(786, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(1124)%branchR2(0:0))
    call avR2(1124, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3294])

    allocate(vertices(1178)%branchR2(0:1))
    call avR2(1178, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3325, nGC_3325,        &
    nGC_3325])

    call avR2(1178, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3326, nGC_3326,        &
    nGC_3326])

    allocate(vertices(5)%branchR2(0:0))
    call avR2(5, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3280])

    allocate(vertices(1138)%branchR2(0:0))
    call avR2(1138, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3294])

    allocate(vertices(83)%branchR2(0:0))
    call avR2(83, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8998])

    allocate(vertices(864)%branchR2(0:0))
    call avR2(864, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(661)%branchR2(0:0))
    call avR2(661, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9077])

    allocate(vertices(25)%branchR2(0:0))
    call avR2(25, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3278, nGC_3278, nGC_3277])

    allocate(vertices(1120)%branchR2(0:0))
    call avR2(1120, 0, 13, 1, 0, VV4, 0, [0, 2], [nGC_3239, nGC_3240])

    allocate(vertices(183)%branchR2(0:0))
    call avR2(183, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3297])

    allocate(vertices(96)%branchR2(0:0))
    call avR2(96, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3297])

    allocate(vertices(294)%branchR2(0:0))
    call avR2(294, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3285])

    allocate(vertices(1179)%branchR2(0:0))
    call avR2(1179, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(1180)%branchR2(0:1))
    call avR2(1180, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,        &
    nGC_3316])

    call avR2(1180, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,        &
    nGC_3317])

    allocate(vertices(352)%branchR2(0:0))
    call avR2(352, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3281])

    allocate(vertices(1099)%branchR2(0:0))
    call avR2(1099, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3294])

    allocate(vertices(814)%branchR2(0:0))
    call avR2(814, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3285])

    allocate(vertices(90)%branchR2(0:0))
    call avR2(90, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3279])

    allocate(vertices(929)%branchR2(0:0))
    call avR2(929, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3266])

    allocate(vertices(1181)%branchR2(0:0))
    call avR2(1181, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(172)%branchR2(0:0))
    call avR2(172, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3285])

    allocate(vertices(1182)%branchR2(0:0))
    call avR2(1182, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3289, nGC_3289, nGC_3289&
    ])

    allocate(vertices(547)%branchR2(0:0))
    call avR2(547, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3284])

    allocate(vertices(41)%branchR2(0:0))
    call avR2(41, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(345)%branchR2(0:0))
    call avR2(345, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9109])

    allocate(vertices(841)%branchR2(0:0))
    call avR2(841, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3295])

    allocate(vertices(986)%branchR2(0:0))
    call avR2(986, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(561)%branchR2(0:0))
    call avR2(561, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3281])

    allocate(vertices(440)%branchR2(0:0))
    call avR2(440, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3311])

    allocate(vertices(1183)%branchR2(0:1))
    call avR2(1183, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3325, nGC_3325,        &
    nGC_3325])

    call avR2(1183, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3326, nGC_3326,        &
    nGC_3326])

    allocate(vertices(693)%branchR2(0:0))
    call avR2(693, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3284])

    allocate(vertices(1184)%branchR2(0:1))
    call avR2(1184, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3325, nGC_3325,        &
    nGC_3325])

    call avR2(1184, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3326, nGC_3326,        &
    nGC_3326])

    allocate(vertices(197)%branchR2(0:0))
    call avR2(197, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9247])

    allocate(vertices(290)%branchR2(0:0))
    call avR2(290, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3277, nGC_3278, nGC_3278])

    allocate(vertices(559)%branchR2(0:0))
    call avR2(559, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3281])

    allocate(vertices(395)%branchR2(0:0))
    call avR2(395, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3260])

    allocate(vertices(513)%branchR2(0:0))
    call avR2(513, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3300])

    allocate(vertices(147)%branchR2(0:0))
    call avR2(147, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3265])

    allocate(vertices(412)%branchR2(0:0))
    call avR2(412, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3295])

    allocate(vertices(1185)%branchR2(0:0))
    call avR2(1185, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3290, nGC_3290, nGC_3290&
    ])

    allocate(vertices(685)%branchR2(0:0))
    call avR2(685, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(580)%branchR2(0:0))
    call avR2(580, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9185])

    allocate(vertices(441)%branchR2(0:0))
    call avR2(441, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3293])

    allocate(vertices(302)%branchR2(0:0))
    call avR2(302, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3285])

    allocate(vertices(237)%branchR2(0:0))
    call avR2(237, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3281])

    allocate(vertices(1186)%branchR2(0:1))
    call avR2(1186, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,        &
    nGC_3316])

    call avR2(1186, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,        &
    nGC_3317])

    allocate(vertices(1065)%branchR2(0:0))
    call avR2(1065, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3292])

    allocate(vertices(620)%branchR2(0:0))
    call avR2(620, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3280])

    allocate(vertices(941)%branchR2(0:0))
    call avR2(941, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_8968, nGC_3312, nGC_8968])

    allocate(vertices(569)%branchR2(0:0))
    call avR2(569, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(1048)%branchR2(0:0))
    call avR2(1048, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3299])

    allocate(vertices(657)%branchR2(0:0))
    call avR2(657, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3281])

    allocate(vertices(1187)%branchR2(0:1))
    call avR2(1187, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_3322])

    call avR2(1187, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_3323])

    allocate(vertices(688)%branchR2(0:0))
    call avR2(688, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(655)%branchR2(0:0))
    call avR2(655, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3278, nGC_3277, nGC_3278])

    allocate(vertices(980)%branchR2(0:0))
    call avR2(980, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3262])

    allocate(vertices(371)%branchR2(0:0))
    call avR2(371, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3284])

    allocate(vertices(1188)%branchR2(0:1))
    call avR2(1188, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_3304])

    call avR2(1188, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_3305])

    allocate(vertices(232)%branchR2(0:0))
    call avR2(232, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3266])

    allocate(vertices(1027)%branchR2(0:0))
    call avR2(1027, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3278, nGC_3278, nGC_3277&
    ])

    allocate(vertices(1189)%branchR2(0:1))
    call avR2(1189, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_3318])

    call avR2(1189, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_3319])

    allocate(vertices(739)%branchR2(0:0))
    call avR2(739, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3306])

    allocate(vertices(803)%branchR2(0:0))
    call avR2(803, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3300])

    allocate(vertices(988)%branchR2(0:0))
    call avR2(988, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3284])

    allocate(vertices(111)%branchR2(0:0))
    call avR2(111, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3300])

    allocate(vertices(166)%branchR2(0:0))
    call avR2(166, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(143)%branchR2(0:0))
    call avR2(143, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3308])

    allocate(vertices(319)%branchR2(0:0))
    call avR2(319, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3284])

    allocate(vertices(1190)%branchR2(0:0))
    call avR2(1190, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3282])

    allocate(vertices(204)%branchR2(0:0))
    call avR2(204, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(1042)%branchR2(0:0))
    call avR2(1042, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3295])

    allocate(vertices(1191)%branchR2(0:0))
    call avR2(1191, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3282])

    allocate(vertices(1192)%branchR2(0:1))
    call avR2(1192, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_3318])

    call avR2(1192, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_3319])

    allocate(vertices(1023)%branchR2(0:0))
    call avR2(1023, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(169)%branchR2(0:0))
    call avR2(169, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286, nGC_3287])

    allocate(vertices(992)%branchR2(0:0))
    call avR2(992, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3299])

    allocate(vertices(763)%branchR2(0:0))
    call avR2(763, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3265])

    allocate(vertices(908)%branchR2(0:0))
    call avR2(908, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3284])

    allocate(vertices(1079)%branchR2(0:0))
    call avR2(1079, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3292])

    allocate(vertices(1193)%branchR2(0:1))
    call avR2(1193, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_3322])

    call avR2(1193, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_3323])

    allocate(vertices(664)%branchR2(0:0))
    call avR2(664, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3281])

    allocate(vertices(6)%branchR2(0:0))
    call avR2(6, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3260])

    allocate(vertices(823)%branchR2(0:0))
    call avR2(823, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(480)%branchR2(0:0))
    call avR2(480, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(1194)%branchR2(0:1))
    call avR2(1194, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3309, nGC_3309,        &
    nGC_3309])

    call avR2(1194, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3310, nGC_3310,        &
    nGC_3310])

    allocate(vertices(503)%branchR2(0:0))
    call avR2(503, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3285])

    allocate(vertices(932)%branchR2(0:0))
    call avR2(932, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3284])

    allocate(vertices(721)%branchR2(0:0))
    call avR2(721, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3313, nGC_3314, nGC_3314])

    allocate(vertices(402)%branchR2(0:0))
    call avR2(402, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3295])

    allocate(vertices(800)%branchR2(0:0))
    call avR2(800, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3277, nGC_3278, nGC_3278])

    allocate(vertices(966)%branchR2(0:0))
    call avR2(966, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3295])

    allocate(vertices(925)%branchR2(0:0))
    call avR2(925, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3255])

    allocate(vertices(743)%branchR2(0:0))
    call avR2(743, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3285])

    allocate(vertices(1195)%branchR2(0:0))
    call avR2(1195, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3258])

    allocate(vertices(1196)%branchR2(0:1))
    call avR2(1196, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,        &
    nGC_3316])

    call avR2(1196, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,        &
    nGC_3317])

    allocate(vertices(930)%branchR2(0:0))
    call avR2(930, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3297])

    allocate(vertices(1197)%branchR2(0:0))
    call avR2(1197, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3282])

    allocate(vertices(117)%branchR2(0:0))
    call avR2(117, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3284])

    allocate(vertices(465)%branchR2(0:0))
    call avR2(465, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3280])

    allocate(vertices(78)%branchR2(0:0))
    call avR2(78, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3315])

    allocate(vertices(149)%branchR2(0:0))
    call avR2(149, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3284])

    allocate(vertices(1198)%branchR2(0:1))
    call avR2(1198, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_3322])

    call avR2(1198, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_3323])

    allocate(vertices(590)%branchR2(0:0))
    call avR2(590, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3264])

    allocate(vertices(898)%branchR2(0:0))
    call avR2(898, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

    allocate(vertices(995)%branchR2(0:0))
    call avR2(995, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3260])

    allocate(vertices(576)%branchR2(0:0))
    call avR2(576, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_8968, nGC_3312, nGC_8968])

    allocate(vertices(1199)%branchR2(0:5))
    call avR2(1199, 0, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_3327, nGC_3327,        &
    nGC_3327])

    call avR2(1199, 1, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,        &
    nGC_3328])

    call avR2(1199, 2, 79, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,        &
    nGC_3328])

    call avR2(1199, 3, 80, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,        &
    nGC_3328])

    call avR2(1199, 4, 81, 1, 0, VVVV0, 0, [3, 1], [nGC_3329, nGC_3329,        &
    nGC_3329])

    call avR2(1199, 5, 82, 1, 0, VVVV0, 0, [3, 1], [nGC_3327, nGC_3327,        &
    nGC_3327])

    allocate(vertices(519)%branchR2(0:0))
    call avR2(519, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3293])

    allocate(vertices(839)%branchR2(0:0))
    call avR2(839, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3280])

    allocate(vertices(275)%branchR2(0:0))
    call avR2(275, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(1096)%branchR2(0:0))
    call avR2(1096, 0, 13, 1, 0, VV5, 0, [0, 2], [nGC_3241, nGC_3242])

    allocate(vertices(311)%branchR2(0:0))
    call avR2(311, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3263])

    allocate(vertices(1200)%branchR2(0:1))
    call avR2(1200, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,        &
    nGC_3320])

    call avR2(1200, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,        &
    nGC_3321])

    allocate(vertices(393)%branchR2(0:0))
    call avR2(393, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3270])

    allocate(vertices(1201)%branchR2(0:1))
    call avR2(1201, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_3304])

    call avR2(1201, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_3305])

    allocate(vertices(457)%branchR2(0:0))
    call avR2(457, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(975)%branchR2(0:0))
    call avR2(975, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3302])

    allocate(vertices(1061)%branchR2(0:0))
    call avR2(1061, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3259])

    allocate(vertices(422)%branchR2(0:0))
    call avR2(422, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3286, nGC_3287, nGC_3287])

    allocate(vertices(920)%branchR2(0:0))
    call avR2(920, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9154])

    allocate(vertices(853)%branchR2(0:0))
    call avR2(853, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(1019)%branchR2(0:0))
    call avR2(1019, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3284])

    allocate(vertices(344)%branchR2(0:0))
    call avR2(344, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(719)%branchR2(0:0))
    call avR2(719, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(20)%branchR2(0:0))
    call avR2(20, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3255])

    allocate(vertices(180)%branchR2(0:0))
    call avR2(180, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3300])

    allocate(vertices(343)%branchR2(0:0))
    call avR2(343, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3284])

    allocate(vertices(1202)%branchR2(0:1))
    call avR2(1202, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_3304])

    call avR2(1202, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_3305])

    allocate(vertices(1082)%branchR2(0:0))
    call avR2(1082, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3292])

    allocate(vertices(766)%branchR2(0:0))
    call avR2(766, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3285])

    allocate(vertices(424)%branchR2(0:0))
    call avR2(424, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3300])

    allocate(vertices(790)%branchR2(0:0))
    call avR2(790, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3286, nGC_3287, nGC_3287])

    allocate(vertices(1203)%branchR2(0:1))
    call avR2(1203, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,        &
    nGC_3320])

    call avR2(1203, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,        &
    nGC_3321])

    allocate(vertices(28)%branchR2(0:0))
    call avR2(28, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(187)%branchR2(0:0))
    call avR2(187, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3297])

    allocate(vertices(501)%branchR2(0:0))
    call avR2(501, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3284])

    allocate(vertices(863)%branchR2(0:0))
    call avR2(863, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3300])

    allocate(vertices(869)%branchR2(0:0))
    call avR2(869, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3307])

    allocate(vertices(784)%branchR2(0:0))
    call avR2(784, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3291])

    allocate(vertices(17)%branchR2(0:0))
    call avR2(17, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(705)%branchR2(0:0))
    call avR2(705, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3284])

    allocate(vertices(432)%branchR2(0:0))
    call avR2(432, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3307])

    allocate(vertices(1043)%branchR2(0:0))
    call avR2(1043, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3281])

    allocate(vertices(1204)%branchR2(0:0))
    call avR2(1204, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3258])

    allocate(vertices(374)%branchR2(0:0))
    call avR2(374, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3297])

    allocate(vertices(291)%branchR2(0:0))
    call avR2(291, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3291])

    allocate(vertices(1205)%branchR2(0:1))
    call avR2(1205, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,        &
    nGC_3320])

    call avR2(1205, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,        &
    nGC_3321])

    allocate(vertices(522)%branchR2(0:0))
    call avR2(522, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3293])

    allocate(vertices(1059)%branchR2(0:0))
    call avR2(1059, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3294])

    allocate(vertices(367)%branchR2(0:0))
    call avR2(367, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3281])

    allocate(vertices(285)%branchR2(0:0))
    call avR2(285, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3281])

    allocate(vertices(540)%branchR2(0:0))
    call avR2(540, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3311])

    allocate(vertices(296)%branchR2(0:0))
    call avR2(296, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3300])

    allocate(vertices(381)%branchR2(0:0))
    call avR2(381, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3280])

    allocate(vertices(1001)%branchR2(0:0))
    call avR2(1001, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9454])

    allocate(vertices(747)%branchR2(0:0))
    call avR2(747, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3284])

    allocate(vertices(365)%branchR2(0:0))
    call avR2(365, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3306])

    allocate(vertices(327)%branchR2(0:0))
    call avR2(327, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3307])

    allocate(vertices(23)%branchR2(0:0))
    call avR2(23, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3295])

    allocate(vertices(815)%branchR2(0:0))
    call avR2(815, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3284])

    allocate(vertices(1206)%branchR2(0:1))
    call avR2(1206, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_3304])

    call avR2(1206, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_3305])

    allocate(vertices(641)%branchR2(0:0))
    call avR2(641, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3285])

    allocate(vertices(1078)%branchR2(0:0))
    call avR2(1078, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3292])

    allocate(vertices(912)%branchR2(0:0))
    call avR2(912, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3295])

    allocate(vertices(785)%branchR2(0:0))
    call avR2(785, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3307])

    allocate(vertices(16)%branchR2(0:0))
    call avR2(16, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286, nGC_3287])

    allocate(vertices(767)%branchR2(0:0))
    call avR2(767, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3286, nGC_3287, nGC_3287])

    allocate(vertices(593)%branchR2(0:0))
    call avR2(593, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3284])

    allocate(vertices(1207)%branchR2(0:0))
    call avR2(1207, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3290, nGC_3290, nGC_3290&
    ])

    allocate(vertices(557)%branchR2(0:0))
    call avR2(557, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3284])

    allocate(vertices(148)%branchR2(0:0))
    call avR2(148, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

    allocate(vertices(1115)%branchR2(0:0))
    call avR2(1115, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3294])

    allocate(vertices(1208)%branchR2(0:1))
    call avR2(1208, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3309, nGC_3309,        &
    nGC_3309])

    call avR2(1208, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3310, nGC_3310,        &
    nGC_3310])

    allocate(vertices(845)%branchR2(0:0))
    call avR2(845, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3299])

    allocate(vertices(1209)%branchR2(0:0))
    call avR2(1209, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3289, nGC_3289, nGC_3289&
    ])

    allocate(vertices(1210)%branchR2(0:0))
    call avR2(1210, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3283])

    allocate(vertices(415)%branchR2(0:0))
    call avR2(415, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3291])

    allocate(vertices(909)%branchR2(0:0))
    call avR2(909, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3281])

    allocate(vertices(846)%branchR2(0:0))
    call avR2(846, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

    allocate(vertices(1211)%branchR2(0:1))
    call avR2(1211, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3325, nGC_3325,        &
    nGC_3325])

    call avR2(1211, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3326, nGC_3326,        &
    nGC_3326])

    allocate(vertices(728)%branchR2(0:0))
    call avR2(728, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9109])

    allocate(vertices(52)%branchR2(0:0))
    call avR2(52, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3255])

    allocate(vertices(385)%branchR2(0:0))
    call avR2(385, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3280])

    allocate(vertices(1088)%branchR2(0:1))
    call avR2(1088, 0, 15, 1, 0, VV4, 0, [2, 0], [nGC_3251, nGC_3252])

    call avR2(1088, 1, 16, 1, 0, VV4, 0, [2, 0], [nGC_3253, nGC_3254])

    allocate(vertices(46)%branchR2(0:0))
    call avR2(46, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9247])

    allocate(vertices(62)%branchR2(0:0))
    call avR2(62, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3297])

    allocate(vertices(108)%branchR2(0:0))
    call avR2(108, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3264])

    allocate(vertices(1212)%branchR2(0:1))
    call avR2(1212, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,        &
    nGC_3316])

    call avR2(1212, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,        &
    nGC_3317])

    allocate(vertices(791)%branchR2(0:0))
    call avR2(791, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3255])

    allocate(vertices(154)%branchR2(0:0))
    call avR2(154, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3297])

    allocate(vertices(220)%branchR2(0:0))
    call avR2(220, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3314, nGC_3313, nGC_3314])

    allocate(vertices(261)%branchR2(0:0))
    call avR2(261, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3306])

    allocate(vertices(1213)%branchR2(0:0))
    call avR2(1213, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3283])

    allocate(vertices(749)%branchR2(0:0))
    call avR2(749, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3280])

    allocate(vertices(463)%branchR2(0:0))
    call avR2(463, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3285])

    allocate(vertices(1214)%branchR2(0:1))
    call avR2(1214, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_3318])

    call avR2(1214, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_3319])

    allocate(vertices(615)%branchR2(0:0))
    call avR2(615, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3284])

    allocate(vertices(1215)%branchR2(0:1))
    call avR2(1215, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_3304])

    call avR2(1215, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_3305])

    allocate(vertices(1216)%branchR2(0:1))
    call avR2(1216, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_3304])

    call avR2(1216, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_3305])

    allocate(vertices(828)%branchR2(0:0))
    call avR2(828, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3285])

    allocate(vertices(563)%branchR2(0:0))
    call avR2(563, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3281])

    allocate(vertices(1217)%branchR2(0:1))
    call avR2(1217, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3325, nGC_3325,        &
    nGC_3325])

    call avR2(1217, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3326, nGC_3326,        &
    nGC_3326])

    allocate(vertices(601)%branchR2(0:0))
    call avR2(601, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3280])

    allocate(vertices(15)%branchR2(0:0))
    call avR2(15, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3256])

    allocate(vertices(1218)%branchR2(0:1))
    call avR2(1218, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,        &
    nGC_3320])

    call avR2(1218, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,        &
    nGC_3321])

    allocate(vertices(490)%branchR2(0:0))
    call avR2(490, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3297])

    allocate(vertices(257)%branchR2(0:0))
    call avR2(257, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3287, nGC_3286])

    allocate(vertices(301)%branchR2(0:0))
    call avR2(301, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3279])

    allocate(vertices(184)%branchR2(0:0))
    call avR2(184, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

    allocate(vertices(212)%branchR2(0:0))
    call avR2(212, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(663)%branchR2(0:0))
    call avR2(663, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3269])

    allocate(vertices(699)%branchR2(0:0))
    call avR2(699, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(560)%branchR2(0:0))
    call avR2(560, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3300])

    allocate(vertices(1108)%branchR2(0:0))
    call avR2(1108, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_3238, nGC_3237])

    allocate(vertices(27)%branchR2(0:0))
    call avR2(27, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3263])

    allocate(vertices(691)%branchR2(0:0))
    call avR2(691, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3307])

    allocate(vertices(1219)%branchR2(0:1))
    call avR2(1219, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3309, nGC_3309,        &
    nGC_3309])

    call avR2(1219, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3310, nGC_3310,        &
    nGC_3310])

    allocate(vertices(905)%branchR2(0:0))
    call avR2(905, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3307])

    allocate(vertices(805)%branchR2(0:0))
    call avR2(805, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3311])

    allocate(vertices(918)%branchR2(0:0))
    call avR2(918, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3311])

    allocate(vertices(1220)%branchR2(0:5))
    call avR2(1220, 0, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,        &
    nGC_3330])

    call avR2(1220, 1, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,        &
    nGC_3331])

    call avR2(1220, 2, 79, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,        &
    nGC_3331])

    call avR2(1220, 3, 80, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,        &
    nGC_3331])

    call avR2(1220, 4, 81, 1, 0, VVVV0, 0, [3, 1], [nGC_3332, nGC_3332,        &
    nGC_3332])

    call avR2(1220, 5, 82, 1, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,        &
    nGC_3330])

    allocate(vertices(654)%branchR2(0:0))
    call avR2(654, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3295])

    allocate(vertices(1052)%branchR2(0:0))
    call avR2(1052, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3292])

    allocate(vertices(1081)%branchR2(0:0))
    call avR2(1081, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3259])

    allocate(vertices(1221)%branchR2(0:1))
    call avR2(1221, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_3304])

    call avR2(1221, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_3305])

    allocate(vertices(196)%branchR2(0:0))
    call avR2(196, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3300])

    allocate(vertices(1222)%branchR2(0:1))
    call avR2(1222, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3309, nGC_3309,        &
    nGC_3309])

    call avR2(1222, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3310, nGC_3310,        &
    nGC_3310])

    allocate(vertices(1085)%branchR2(0:0))
    call avR2(1085, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3294])

    allocate(vertices(214)%branchR2(0:0))
    call avR2(214, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3284])

    allocate(vertices(890)%branchR2(0:0))
    call avR2(890, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3278, nGC_3277, nGC_3278])

    allocate(vertices(714)%branchR2(0:0))
    call avR2(714, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9185])

    allocate(vertices(628)%branchR2(0:0))
    call avR2(628, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3297])

    allocate(vertices(861)%branchR2(0:0))
    call avR2(861, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3281])

    allocate(vertices(906)%branchR2(0:0))
    call avR2(906, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3264])

    allocate(vertices(30)%branchR2(0:0))
    call avR2(30, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3297])

    allocate(vertices(80)%branchR2(0:0))
    call avR2(80, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(1223)%branchR2(0:0))
    call avR2(1223, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3289, nGC_3289, nGC_3289&
    ])

    allocate(vertices(582)%branchR2(0:0))
    call avR2(582, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3302])

    allocate(vertices(835)%branchR2(0:0))
    call avR2(835, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3256])

    allocate(vertices(186)%branchR2(0:0))
    call avR2(186, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3287, nGC_3286])

    allocate(vertices(433)%branchR2(0:0))
    call avR2(433, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3295])

    allocate(vertices(1005)%branchR2(0:0))
    call avR2(1005, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3284])

    allocate(vertices(993)%branchR2(0:0))
    call avR2(993, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3284])

    allocate(vertices(794)%branchR2(0:0))
    call avR2(794, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3313, nGC_3314, nGC_3314])

    allocate(vertices(55)%branchR2(0:0))
    call avR2(55, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3302])

    allocate(vertices(346)%branchR2(0:0))
    call avR2(346, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3293])

    allocate(vertices(649)%branchR2(0:0))
    call avR2(649, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(660)%branchR2(0:0))
    call avR2(660, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3267])

    allocate(vertices(247)%branchR2(0:0))
    call avR2(247, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3302])

    allocate(vertices(1224)%branchR2(0:1))
    call avR2(1224, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3309, nGC_3309,        &
    nGC_3309])

    call avR2(1224, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3310, nGC_3310,        &
    nGC_3310])

    allocate(vertices(720)%branchR2(0:0))
    call avR2(720, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286, nGC_3287])

    allocate(vertices(838)%branchR2(0:0))
    call avR2(838, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3300])

    allocate(vertices(595)%branchR2(0:0))
    call avR2(595, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

    allocate(vertices(1132)%branchR2(0:0))
    call avR2(1132, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3259])

    allocate(vertices(470)%branchR2(0:0))
    call avR2(470, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3300])

    allocate(vertices(1225)%branchR2(0:1))
    call avR2(1225, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,        &
    nGC_3320])

    call avR2(1225, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,        &
    nGC_3321])

    allocate(vertices(47)%branchR2(0:0))
    call avR2(47, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3277, nGC_3278, nGC_3278])

    allocate(vertices(996)%branchR2(0:0))
    call avR2(996, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3285])

    allocate(vertices(542)%branchR2(0:0))
    call avR2(542, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

    allocate(vertices(956)%branchR2(0:0))
    call avR2(956, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3312, nGC_8968, nGC_8968])

    allocate(vertices(566)%branchR2(0:0))
    call avR2(566, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3307])

    allocate(vertices(152)%branchR2(0:0))
    call avR2(152, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3285])

    allocate(vertices(274)%branchR2(0:0))
    call avR2(274, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3314, nGC_3313, nGC_3314])

    allocate(vertices(245)%branchR2(0:0))
    call avR2(245, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3255])

    allocate(vertices(1058)%branchR2(0:0))
    call avR2(1058, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_3238, nGC_3237])

    allocate(vertices(1226)%branchR2(0:0))
    call avR2(1226, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3283])

    allocate(vertices(883)%branchR2(0:0))
    call avR2(883, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286, nGC_3287])

    allocate(vertices(1227)%branchR2(0:1))
    call avR2(1227, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,        &
    nGC_3320])

    call avR2(1227, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,        &
    nGC_3321])

    allocate(vertices(602)%branchR2(0:0))
    call avR2(602, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

    allocate(vertices(622)%branchR2(0:0))
    call avR2(622, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3255])

    allocate(vertices(940)%branchR2(0:0))
    call avR2(940, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3307])

    allocate(vertices(115)%branchR2(0:0))
    call avR2(115, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3315])

    allocate(vertices(1228)%branchR2(0:0))
    call avR2(1228, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3290, nGC_3290, nGC_3290&
    ])

    allocate(vertices(1229)%branchR2(0:1))
    call avR2(1229, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,        &
    nGC_3316])

    call avR2(1229, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,        &
    nGC_3317])

    allocate(vertices(723)%branchR2(0:0))
    call avR2(723, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9454])

    allocate(vertices(1025)%branchR2(0:0))
    call avR2(1025, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3293])

    allocate(vertices(340)%branchR2(0:0))
    call avR2(340, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3299])

    allocate(vertices(961)%branchR2(0:0))
    call avR2(961, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3271])

    allocate(vertices(774)%branchR2(0:0))
    call avR2(774, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286, nGC_3287])

    allocate(vertices(528)%branchR2(0:0))
    call avR2(528, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3302])

    allocate(vertices(1230)%branchR2(0:1))
    call avR2(1230, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_3304])

    call avR2(1230, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_3305])

    allocate(vertices(1231)%branchR2(0:1))
    call avR2(1231, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,        &
    nGC_3320])

    call avR2(1231, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,        &
    nGC_3321])

    allocate(vertices(485)%branchR2(0:0))
    call avR2(485, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3284])

    allocate(vertices(217)%branchR2(0:0))
    call avR2(217, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3295])

    allocate(vertices(545)%branchR2(0:0))
    call avR2(545, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3302])

    allocate(vertices(1009)%branchR2(0:0))
    call avR2(1009, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3280])

    allocate(vertices(609)%branchR2(0:0))
    call avR2(609, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3255])

    allocate(vertices(727)%branchR2(0:0))
    call avR2(727, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3285])

    allocate(vertices(1232)%branchR2(0:0))
    call avR2(1232, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3258])

    allocate(vertices(157)%branchR2(0:0))
    call avR2(157, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3287, nGC_3286])

    allocate(vertices(466)%branchR2(0:0))
    call avR2(466, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3281])

    allocate(vertices(1022)%branchR2(0:0))
    call avR2(1022, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3302])

    allocate(vertices(888)%branchR2(0:20))
    call avR2(888, 0, 2, 1, 0, VVVV0, 0, [4, 0], [nGC_9637, nGC_9637, nGC_3333])

    call avR2(888, 1, 3, 1, 0, VVVV0, 0, [4, 0], [nGC_9637, nGC_9637, nGC_3333])

    call avR2(888, 2, 4, 1, 0, VVVV0, 0, [4, 0], [nGC_9644, nGC_3337, nGC_3337])

    call avR2(888, 3, 5, 1, 0, VVVV0, 0, [4, 0], [nGC_3337, nGC_9644, nGC_3337])

    call avR2(888, 4, 6, 1, 0, VVVV0, 0, [4, 0], [nGC_9644, nGC_3337, nGC_3337])

    call avR2(888, 5, 7, 1, 0, VVVV0, 0, [4, 0], [nGC_3337, nGC_9644, nGC_3337])

    call avR2(888, 6, 89, 1, 0, VVVV0, 0, [4, 0], [nGC_3334, nGC_3334, nGC_3334&
    ])

    call avR2(888, 7, 90, 1, 0, VVVV0, 0, [4, 0], [nGC_3334, nGC_3334, nGC_3334&
    ])

    call avR2(888, 8, 91, 1, 0, VVVV0, 0, [4, 0], [nGC_3335, nGC_3335, nGC_3335&
    ])

    call avR2(888, 9, 92, 1, 0, VVVV0, 0, [4, 0], [nGC_3334, nGC_3334, nGC_3334&
    ])

    call avR2(888, 10, 93, 1, 0, VVVV0, 0, [4, 0], [nGC_3335, nGC_3335,        &
    nGC_3335])

    call avR2(888, 11, 94, 1, 0, VVVV0, 0, [4, 0], [nGC_3335, nGC_3335,        &
    nGC_3335])

    call avR2(888, 12, 95, 1, 0, VVVV0, 0, [4, 0], [nGC_3336, nGC_3336,        &
    nGC_3336])

    call avR2(888, 13, 96, 1, 0, VVVV0, 0, [4, 0], [nGC_3334, nGC_3334,        &
    nGC_3334])

    call avR2(888, 14, 97, 1, 0, VVVV0, 0, [4, 0], [nGC_3335, nGC_3335,        &
    nGC_3335])

    call avR2(888, 15, 98, 1, 0, VVVV0, 0, [4, 0], [nGC_3335, nGC_3335,        &
    nGC_3335])

    call avR2(888, 16, 99, 1, 0, VVVV0, 0, [4, 0], [nGC_3335, nGC_3335,        &
    nGC_3335])

    call avR2(888, 17, 100, 1, 0, VVVV0, 0, [4, 0], [nGC_3334, nGC_3334,       &
    nGC_3334])

    call avR2(888, 18, 101, 1, 0, VVVV0, 0, [4, 0], [nGC_3334, nGC_3334,       &
    nGC_3334])

    call avR2(888, 19, 102, 1, 0, VVVV0, 0, [4, 0], [nGC_3334, nGC_3334,       &
    nGC_3334])

    call avR2(888, 20, 103, 1, 0, VVVV0, 0, [4, 0], [nGC_3334, nGC_3334,       &
    nGC_3334])

    allocate(vertices(141)%branchR2(0:0))
    call avR2(141, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3287, nGC_3286])

    allocate(vertices(469)%branchR2(0:0))
    call avR2(469, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3293])

    allocate(vertices(358)%branchR2(0:0))
    call avR2(358, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3279])

    allocate(vertices(476)%branchR2(0:0))
    call avR2(476, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3284])

    allocate(vertices(1233)%branchR2(0:1))
    call avR2(1233, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_3318])

    call avR2(1233, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_3319])

    allocate(vertices(731)%branchR2(0:0))
    call avR2(731, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

    allocate(vertices(219)%branchR2(0:0))
    call avR2(219, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9077])

    allocate(vertices(852)%branchR2(0:0))
    call avR2(852, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(787)%branchR2(0:0))
    call avR2(787, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3281])

    allocate(vertices(1234)%branchR2(0:1))
    call avR2(1234, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_3322])

    call avR2(1234, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_3323])

    allocate(vertices(1235)%branchR2(0:1))
    call avR2(1235, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_3318])

    call avR2(1235, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_3319])

    allocate(vertices(1125)%branchR2(0:0))
    call avR2(1125, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3294])

    allocate(vertices(999)%branchR2(0:0))
    call avR2(999, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3261])

    allocate(vertices(57)%branchR2(0:0))
    call avR2(57, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3284])

    allocate(vertices(428)%branchR2(0:0))
    call avR2(428, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3284])

    allocate(vertices(60)%branchR2(0:0))
    call avR2(60, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3256])

    allocate(vertices(48)%branchR2(0:0))
    call avR2(48, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3267])

    allocate(vertices(507)%branchR2(0:0))
    call avR2(507, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3278, nGC_3277, nGC_3278])

    allocate(vertices(388)%branchR2(0:0))
    call avR2(388, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3297])

    allocate(vertices(14)%branchR2(0:0))
    call avR2(14, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3311])

    allocate(vertices(757)%branchR2(0:0))
    call avR2(757, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3274])

    allocate(vertices(1054)%branchR2(0:0))
    call avR2(1054, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3292])

    allocate(vertices(1077)%branchR2(0:0))
    call avR2(1077, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3294])

    allocate(vertices(886)%branchR2(0:0))
    call avR2(886, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3280])

    allocate(vertices(134)%branchR2(0:0))
    call avR2(134, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(1118)%branchR2(0:0))
    call avR2(1118, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3292])

    allocate(vertices(159)%branchR2(0:0))
    call avR2(159, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3302])

    allocate(vertices(384)%branchR2(0:0))
    call avR2(384, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3280])

    allocate(vertices(373)%branchR2(0:0))
    call avR2(373, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9193])

    allocate(vertices(939)%branchR2(0:0))
    call avR2(939, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3262])

    allocate(vertices(825)%branchR2(0:0))
    call avR2(825, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3295])

    allocate(vertices(496)%branchR2(0:0))
    call avR2(496, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3285])

    allocate(vertices(11)%branchR2(0:0))
    call avR2(11, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3295])

    allocate(vertices(592)%branchR2(0:0))
    call avR2(592, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9154])

    allocate(vertices(50)%branchR2(0:0))
    call avR2(50, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3315])

    allocate(vertices(972)%branchR2(0:0))
    call avR2(972, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3285])

    allocate(vertices(1236)%branchR2(0:0))
    call avR2(1236, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3288, nGC_3288, nGC_3288&
    ])

    allocate(vertices(978)%branchR2(0:0))
    call avR2(978, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3280])

    allocate(vertices(443)%branchR2(0:0))
    call avR2(443, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3268])

    allocate(vertices(1237)%branchR2(0:1))
    call avR2(1237, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,        &
    nGC_3316])

    call avR2(1237, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,        &
    nGC_3317])

    allocate(vertices(645)%branchR2(0:0))
    call avR2(645, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3296])

    allocate(vertices(1238)%branchR2(0:1))
    call avR2(1238, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,        &
    nGC_3320])

    call avR2(1238, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,        &
    nGC_3321])

    allocate(vertices(200)%branchR2(0:0))
    call avR2(200, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3265])

    allocate(vertices(771)%branchR2(0:0))
    call avR2(771, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3295])

    allocate(vertices(778)%branchR2(0:0))
    call avR2(778, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(967)%branchR2(0:0))
    call avR2(967, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3302])

    allocate(vertices(73)%branchR2(0:0))
    call avR2(73, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3284])

    allocate(vertices(1105)%branchR2(0:0))
    call avR2(1105, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3294])

    allocate(vertices(669)%branchR2(0:0))
    call avR2(669, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9454])

    allocate(vertices(573)%branchR2(0:0))
    call avR2(573, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3297])

    allocate(vertices(1239)%branchR2(0:0))
    call avR2(1239, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3283])

    allocate(vertices(964)%branchR2(0:0))
    call avR2(964, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3302])

    allocate(vertices(836)%branchR2(0:0))
    call avR2(836, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3295])

    allocate(vertices(1240)%branchR2(0:5))
    call avR2(1240, 0, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,        &
    nGC_3330])

    call avR2(1240, 1, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,        &
    nGC_3331])

    call avR2(1240, 2, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,        &
    nGC_3331])

    call avR2(1240, 3, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_3332, nGC_3332,        &
    nGC_3332])

    call avR2(1240, 4, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,        &
    nGC_3331])

    call avR2(1240, 5, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,        &
    nGC_3330])

    allocate(vertices(919)%branchR2(0:0))
    call avR2(919, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3307])

    allocate(vertices(1241)%branchR2(0:1))
    call avR2(1241, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3320, nGC_3320,        &
    nGC_3320])

    call avR2(1241, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3321, nGC_3321,        &
    nGC_3321])

    allocate(vertices(1038)%branchR2(0:0))
    call avR2(1038, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3280])

    allocate(vertices(448)%branchR2(0:0))
    call avR2(448, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3285])

    allocate(vertices(307)%branchR2(0:0))
    call avR2(307, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3274])

    allocate(vertices(234)%branchR2(0:0))
    call avR2(234, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3280])

    allocate(vertices(1083)%branchR2(0:0))
    call avR2(1083, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3294])

    allocate(vertices(859)%branchR2(0:0))
    call avR2(859, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3261])

    allocate(vertices(1100)%branchR2(0:0))
    call avR2(1100, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3292])

    allocate(vertices(834)%branchR2(0:0))
    call avR2(834, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3297])

    allocate(vertices(1121)%branchR2(0:0))
    call avR2(1121, 0, 13, 1, 0, VV5, 0, [0, 2], [nGC_3239, nGC_3240])

    allocate(vertices(865)%branchR2(0:0))
    call avR2(865, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3298])

    allocate(vertices(85)%branchR2(0:0))
    call avR2(85, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3293])

    allocate(vertices(577)%branchR2(0:0))
    call avR2(577, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3284])

    allocate(vertices(1242)%branchR2(0:5))
    call avR2(1242, 0, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,        &
    nGC_3330])

    call avR2(1242, 1, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,        &
    nGC_3331])

    call avR2(1242, 2, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,        &
    nGC_3331])

    call avR2(1242, 3, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_3331, nGC_3331,        &
    nGC_3331])

    call avR2(1242, 4, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_3332, nGC_3332,        &
    nGC_3332])

    call avR2(1242, 5, 76, 1, 0, VVVV0, 0, [3, 1], [nGC_3330, nGC_3330,        &
    nGC_3330])

    allocate(vertices(958)%branchR2(0:0))
    call avR2(958, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3263])

    allocate(vertices(810)%branchR2(0:0))
    call avR2(810, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(833)%branchR2(0:0))
    call avR2(833, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3269])

    allocate(vertices(611)%branchR2(0:0))
    call avR2(611, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(658)%branchR2(0:0))
    call avR2(658, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_3285])

    allocate(vertices(308)%branchR2(0:0))
    call avR2(308, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3284])

    allocate(vertices(298)%branchR2(0:0))
    call avR2(298, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3280])

    allocate(vertices(454)%branchR2(0:0))
    call avR2(454, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9193])

    allocate(vertices(1243)%branchR2(0:0))
    call avR2(1243, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3289, nGC_3289, nGC_3289&
    ])

    allocate(vertices(164)%branchR2(0:0))
    call avR2(164, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3295])

    allocate(vertices(1244)%branchR2(0:1))
    call avR2(1244, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3309, nGC_3309,        &
    nGC_3309])

    call avR2(1244, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3310, nGC_3310,        &
    nGC_3310])

    allocate(vertices(944)%branchR2(0:0))
    call avR2(944, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_3285])

    allocate(vertices(684)%branchR2(0:0))
    call avR2(684, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_3280])

    allocate(vertices(188)%branchR2(0:0))
    call avR2(188, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_3298])

    allocate(vertices(271)%branchR2(0:0))
    call avR2(271, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3300])

    allocate(vertices(623)%branchR2(0:0))
    call avR2(623, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_3281])

    allocate(vertices(970)%branchR2(0:0))
    call avR2(970, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3263])

    allocate(vertices(1245)%branchR2(0:1))
    call avR2(1245, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3316, nGC_3316,        &
    nGC_3316])

    call avR2(1245, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3317, nGC_3317,        &
    nGC_3317])

    allocate(vertices(498)%branchR2(0:0))
    call avR2(498, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3314, nGC_3314, nGC_3313])

    allocate(vertices(53)%branchR2(0:0))
    call avR2(53, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_3306])

    allocate(vertices(1246)%branchR2(0:0))
    call avR2(1246, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3290, nGC_3290, nGC_3290&
    ])

    allocate(vertices(997)%branchR2(0:0))
    call avR2(997, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9017])

    allocate(vertices(690)%branchR2(0:0))
    call avR2(690, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_3287, nGC_3286, nGC_3287])

    allocate(vertices(68)%branchR2(0:0))
    call avR2(68, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3255])

    allocate(vertices(263)%branchR2(0:0))
    call avR2(263, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_3284])

    allocate(vertices(1247)%branchR2(0:5))
    call avR2(1247, 0, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_3327, nGC_3327,        &
    nGC_3327])

    call avR2(1247, 1, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,        &
    nGC_3328])

    call avR2(1247, 2, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,        &
    nGC_3328])

    call avR2(1247, 3, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_3328, nGC_3328,        &
    nGC_3328])

    call avR2(1247, 4, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_3329, nGC_3329,        &
    nGC_3329])

    call avR2(1247, 5, 76, 1, 0, VVVV0, 0, [3, 1], [nGC_3327, nGC_3327,        &
    nGC_3327])

    allocate(vertices(137)%branchR2(0:0))
    call avR2(137, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3264])

  end subroutine fill_vertices_mdl4
end module vertices_info4
